import { ref as mn, getCurrentInstance as cr, inject as bn, computed as oe, h as lt, isVNode as $n, Comment as _n, Fragment as dt, defineComponent as He, createVNode as G, createTextVNode as xn } from "vue";
function En(e) {
  if (e.sheet)
    return e.sheet;
  for (var r = 0; r < document.styleSheets.length; r++)
    if (document.styleSheets[r].ownerNode === e)
      return document.styleSheets[r];
}
function Cn(e) {
  var r = document.createElement("style");
  return r.setAttribute("data-emotion", e.key), e.nonce !== void 0 && r.setAttribute("nonce", e.nonce), r.appendChild(document.createTextNode("")), r.setAttribute("data-s", ""), r;
}
var An = /* @__PURE__ */ function() {
  function e(t) {
    var n = this;
    this._insertTag = function(a) {
      var i;
      n.tags.length === 0 ? n.insertionPoint ? i = n.insertionPoint.nextSibling : n.prepend ? i = n.container.firstChild : i = n.before : i = n.tags[n.tags.length - 1].nextSibling, n.container.insertBefore(a, i), n.tags.push(a);
    }, this.isSpeedy = t.speedy === void 0 ? process.env.NODE_ENV === "production" : t.speedy, this.tags = [], this.ctr = 0, this.nonce = t.nonce, this.key = t.key, this.container = t.container, this.prepend = t.prepend, this.insertionPoint = t.insertionPoint, this.before = null;
  }
  var r = e.prototype;
  return r.hydrate = function(n) {
    n.forEach(this._insertTag);
  }, r.insert = function(n) {
    this.ctr % (this.isSpeedy ? 65e3 : 1) === 0 && this._insertTag(Cn(this));
    var a = this.tags[this.tags.length - 1];
    if (process.env.NODE_ENV !== "production") {
      var i = n.charCodeAt(0) === 64 && n.charCodeAt(1) === 105;
      i && this._alreadyInsertedOrderInsensitiveRule && console.error(`You're attempting to insert the following rule:
` + n + "\n\n`@import` rules must be before all other types of rules in a stylesheet but other rules have already been inserted. Please ensure that `@import` rules are before all other rules."), this._alreadyInsertedOrderInsensitiveRule = this._alreadyInsertedOrderInsensitiveRule || !i;
    }
    if (this.isSpeedy) {
      var o = En(a);
      try {
        o.insertRule(n, o.cssRules.length);
      } catch (u) {
        process.env.NODE_ENV !== "production" && !/:(-moz-placeholder|-moz-focus-inner|-moz-focusring|-ms-input-placeholder|-moz-read-write|-moz-read-only|-ms-clear|-ms-expand|-ms-reveal){/.test(n) && console.error('There was a problem inserting the following rule: "' + n + '"', u);
      }
    } else
      a.appendChild(document.createTextNode(n));
    this.ctr++;
  }, r.flush = function() {
    this.tags.forEach(function(n) {
      return n.parentNode && n.parentNode.removeChild(n);
    }), this.tags = [], this.ctr = 0, process.env.NODE_ENV !== "production" && (this._alreadyInsertedOrderInsensitiveRule = !1);
  }, e;
}(), R = "-ms-", ke = "-moz-", _ = "-webkit-", fr = "comm", lr = "rule", dr = "decl", Sn = "@import", pt = "@keyframes", On = "@layer", wn = Math.abs, Ve = String.fromCharCode, Dn = Object.assign;
function Tn(e, r) {
  return I(e, 0) ^ 45 ? (((r << 2 ^ I(e, 0)) << 2 ^ I(e, 1)) << 2 ^ I(e, 2)) << 2 ^ I(e, 3) : 0;
}
function ht(e) {
  return e.trim();
}
function Fn(e, r) {
  return (e = r.exec(e)) ? e[0] : e;
}
function x(e, r, t) {
  return e.replace(r, t);
}
function ar(e, r) {
  return e.indexOf(r);
}
function I(e, r) {
  return e.charCodeAt(r) | 0;
}
function Ce(e, r, t) {
  return e.slice(r, t);
}
function J(e) {
  return e.length;
}
function pr(e) {
  return e.length;
}
function je(e, r) {
  return r.push(e), e;
}
function Mn(e, r) {
  return e.map(r).join("");
}
var Ge = 1, ce = 1, vt = 0, U = 0, F = 0, fe = "";
function We(e, r, t, n, a, i, o) {
  return { value: e, root: r, parent: t, type: n, props: a, children: i, line: Ge, column: ce, length: o, return: "" };
}
function me(e, r) {
  return Dn(We("", null, null, "", null, null, 0), e, { length: -e.length }, r);
}
function Bn() {
  return F;
}
function jn() {
  return F = U > 0 ? I(fe, --U) : 0, ce--, F === 10 && (ce = 1, Ge--), F;
}
function V() {
  return F = U < vt ? I(fe, U++) : 0, ce++, F === 10 && (ce = 1, Ge++), F;
}
function X() {
  return I(fe, U);
}
function Ne() {
  return U;
}
function we(e, r) {
  return Ce(fe, e, r);
}
function Ae(e) {
  switch (e) {
    case 0:
    case 9:
    case 10:
    case 13:
    case 32:
      return 5;
    case 33:
    case 43:
    case 44:
    case 47:
    case 62:
    case 64:
    case 126:
    case 59:
    case 123:
    case 125:
      return 4;
    case 58:
      return 3;
    case 34:
    case 39:
    case 40:
    case 91:
      return 2;
    case 41:
    case 93:
      return 1;
  }
  return 0;
}
function gt(e) {
  return Ge = ce = 1, vt = J(fe = e), U = 0, [];
}
function yt(e) {
  return fe = "", e;
}
function Pe(e) {
  return ht(we(U - 1, ir(e === 91 ? e + 2 : e === 40 ? e + 1 : e)));
}
function Nn(e) {
  for (; (F = X()) && F < 33; )
    V();
  return Ae(e) > 2 || Ae(F) > 3 ? "" : " ";
}
function Pn(e, r) {
  for (; --r && V() && !(F < 48 || F > 102 || F > 57 && F < 65 || F > 70 && F < 97); )
    ;
  return we(e, Ne() + (r < 6 && X() == 32 && V() == 32));
}
function ir(e) {
  for (; V(); )
    switch (F) {
      case e:
        return U;
      case 34:
      case 39:
        e !== 34 && e !== 39 && ir(F);
        break;
      case 40:
        e === 41 && ir(e);
        break;
      case 92:
        V();
        break;
    }
  return U;
}
function In(e, r) {
  for (; V() && e + F !== 57; )
    if (e + F === 84 && X() === 47)
      break;
  return "/*" + we(r, U - 1) + "*" + Ve(e === 47 ? e : V());
}
function Rn(e) {
  for (; !Ae(X()); )
    V();
  return we(e, U);
}
function kn(e) {
  return yt(Ie("", null, null, null, [""], e = gt(e), 0, [0], e));
}
function Ie(e, r, t, n, a, i, o, u, s) {
  for (var c = 0, f = 0, h = o, m = 0, E = 0, b = 0, $ = 1, B = 1, D = 1, M = 0, Y = "", te = a, L = i, j = n, C = Y; B; )
    switch (b = M, M = V()) {
      case 40:
        if (b != 108 && I(C, h - 1) == 58) {
          ar(C += x(Pe(M), "&", "&\f"), "&\f") != -1 && (D = -1);
          break;
        }
      case 34:
      case 39:
      case 91:
        C += Pe(M);
        break;
      case 9:
      case 10:
      case 13:
      case 32:
        C += Nn(b);
        break;
      case 92:
        C += Pn(Ne() - 1, 7);
        continue;
      case 47:
        switch (X()) {
          case 42:
          case 47:
            je(Ln(In(V(), Ne()), r, t), s);
            break;
          default:
            C += "/";
        }
        break;
      case 123 * $:
        u[c++] = J(C) * D;
      case 125 * $:
      case 59:
      case 0:
        switch (M) {
          case 0:
          case 125:
            B = 0;
          case 59 + f:
            D == -1 && (C = x(C, /\f/g, "")), E > 0 && J(C) - h && je(E > 32 ? Er(C + ";", n, t, h - 1) : Er(x(C, " ", "") + ";", n, t, h - 2), s);
            break;
          case 59:
            C += ";";
          default:
            if (je(j = xr(C, r, t, c, f, a, u, Y, te = [], L = [], h), i), M === 123)
              if (f === 0)
                Ie(C, r, j, j, te, i, h, u, L);
              else
                switch (m === 99 && I(C, 3) === 110 ? 100 : m) {
                  case 100:
                  case 108:
                  case 109:
                  case 115:
                    Ie(e, j, j, n && je(xr(e, j, j, 0, 0, a, u, Y, a, te = [], h), L), a, L, h, u, n ? te : L);
                    break;
                  default:
                    Ie(C, j, j, j, [""], L, 0, u, L);
                }
        }
        c = f = E = 0, $ = D = 1, Y = C = "", h = o;
        break;
      case 58:
        h = 1 + J(C), E = b;
      default:
        if ($ < 1) {
          if (M == 123)
            --$;
          else if (M == 125 && $++ == 0 && jn() == 125)
            continue;
        }
        switch (C += Ve(M), M * $) {
          case 38:
            D = f > 0 ? 1 : (C += "\f", -1);
            break;
          case 44:
            u[c++] = (J(C) - 1) * D, D = 1;
            break;
          case 64:
            X() === 45 && (C += Pe(V())), m = X(), f = h = J(Y = C += Rn(Ne())), M++;
            break;
          case 45:
            b === 45 && J(C) == 2 && ($ = 0);
        }
    }
  return i;
}
function xr(e, r, t, n, a, i, o, u, s, c, f) {
  for (var h = a - 1, m = a === 0 ? i : [""], E = pr(m), b = 0, $ = 0, B = 0; b < n; ++b)
    for (var D = 0, M = Ce(e, h + 1, h = wn($ = o[b])), Y = e; D < E; ++D)
      (Y = ht($ > 0 ? m[D] + " " + M : x(M, /&\f/g, m[D]))) && (s[B++] = Y);
  return We(e, r, t, a === 0 ? lr : u, s, c, f);
}
function Ln(e, r, t) {
  return We(e, r, t, fr, Ve(Bn()), Ce(e, 2, -2), 0);
}
function Er(e, r, t, n) {
  return We(e, r, t, dr, Ce(e, 0, n), Ce(e, n + 1, -1), n);
}
function se(e, r) {
  for (var t = "", n = pr(e), a = 0; a < n; a++)
    t += r(e[a], a, e, r) || "";
  return t;
}
function zn(e, r, t, n) {
  switch (e.type) {
    case On:
      if (e.children.length)
        break;
    case Sn:
    case dr:
      return e.return = e.return || e.value;
    case fr:
      return "";
    case pt:
      return e.return = e.value + "{" + se(e.children, n) + "}";
    case lr:
      e.value = e.props.join(",");
  }
  return J(t = se(e.children, n)) ? e.return = e.value + "{" + t + "}" : "";
}
function Yn(e) {
  var r = pr(e);
  return function(t, n, a, i) {
    for (var o = "", u = 0; u < r; u++)
      o += e[u](t, n, a, i) || "";
    return o;
  };
}
function Un(e) {
  return function(r) {
    r.root || (r = r.return) && e(r);
  };
}
function Hn(e) {
  var r = /* @__PURE__ */ Object.create(null);
  return function(t) {
    return r[t] === void 0 && (r[t] = e(t)), r[t];
  };
}
var Vn = function(r, t, n) {
  for (var a = 0, i = 0; a = i, i = X(), a === 38 && i === 12 && (t[n] = 1), !Ae(i); )
    V();
  return we(r, U);
}, Gn = function(r, t) {
  var n = -1, a = 44;
  do
    switch (Ae(a)) {
      case 0:
        a === 38 && X() === 12 && (t[n] = 1), r[n] += Vn(U - 1, t, n);
        break;
      case 2:
        r[n] += Pe(a);
        break;
      case 4:
        if (a === 44) {
          r[++n] = X() === 58 ? "&\f" : "", t[n] = r[n].length;
          break;
        }
      default:
        r[n] += Ve(a);
    }
  while (a = V());
  return r;
}, Wn = function(r, t) {
  return yt(Gn(gt(r), t));
}, Cr = /* @__PURE__ */ new WeakMap(), Kn = function(r) {
  if (!(r.type !== "rule" || !r.parent || // positive .length indicates that this rule contains pseudo
  // negative .length indicates that this rule has been already prefixed
  r.length < 1)) {
    for (var t = r.value, n = r.parent, a = r.column === n.column && r.line === n.line; n.type !== "rule"; )
      if (n = n.parent, !n)
        return;
    if (!(r.props.length === 1 && t.charCodeAt(0) !== 58 && !Cr.get(n)) && !a) {
      Cr.set(r, !0);
      for (var i = [], o = Wn(t, i), u = n.props, s = 0, c = 0; s < o.length; s++)
        for (var f = 0; f < u.length; f++, c++)
          r.props[c] = i[s] ? o[s].replace(/&\f/g, u[f]) : u[f] + " " + o[s];
    }
  }
}, qn = function(r) {
  if (r.type === "decl") {
    var t = r.value;
    // charcode for l
    t.charCodeAt(0) === 108 && // charcode for b
    t.charCodeAt(2) === 98 && (r.return = "", r.value = "");
  }
}, Zn = "emotion-disable-server-rendering-unsafe-selector-warning-please-do-not-use-this-the-warning-exists-for-a-reason", Jn = function(r) {
  return r.type === "comm" && r.children.indexOf(Zn) > -1;
}, Xn = function(r) {
  return function(t, n, a) {
    if (!(t.type !== "rule" || r.compat)) {
      var i = t.value.match(/(:first|:nth|:nth-last)-child/g);
      if (i) {
        for (var o = !!t.parent, u = o ? t.parent.children : (
          // global rule at the root level
          a
        ), s = u.length - 1; s >= 0; s--) {
          var c = u[s];
          if (c.line < t.line)
            break;
          if (c.column < t.column) {
            if (Jn(c))
              return;
            break;
          }
        }
        i.forEach(function(f) {
          console.error('The pseudo class "' + f + '" is potentially unsafe when doing server-side rendering. Try changing it to "' + f.split("-child")[0] + '-of-type".');
        });
      }
    }
  };
}, mt = function(r) {
  return r.type.charCodeAt(1) === 105 && r.type.charCodeAt(0) === 64;
}, Qn = function(r, t) {
  for (var n = r - 1; n >= 0; n--)
    if (!mt(t[n]))
      return !0;
  return !1;
}, Ar = function(r) {
  r.type = "", r.value = "", r.return = "", r.children = "", r.props = "";
}, ea = function(r, t, n) {
  mt(r) && (r.parent ? (console.error("`@import` rules can't be nested inside other rules. Please move it to the top level and put it before regular rules. Keep in mind that they can only be used within global styles."), Ar(r)) : Qn(t, n) && (console.error("`@import` rules can't be after other rules. Please put your `@import` rules before your other rules."), Ar(r)));
};
function bt(e, r) {
  switch (Tn(e, r)) {
    case 5103:
      return _ + "print-" + e + e;
    case 5737:
    case 4201:
    case 3177:
    case 3433:
    case 1641:
    case 4457:
    case 2921:
    case 5572:
    case 6356:
    case 5844:
    case 3191:
    case 6645:
    case 3005:
    case 6391:
    case 5879:
    case 5623:
    case 6135:
    case 4599:
    case 4855:
    case 4215:
    case 6389:
    case 5109:
    case 5365:
    case 5621:
    case 3829:
      return _ + e + e;
    case 5349:
    case 4246:
    case 4810:
    case 6968:
    case 2756:
      return _ + e + ke + e + R + e + e;
    case 6828:
    case 4268:
      return _ + e + R + e + e;
    case 6165:
      return _ + e + R + "flex-" + e + e;
    case 5187:
      return _ + e + x(e, /(\w+).+(:[^]+)/, _ + "box-$1$2" + R + "flex-$1$2") + e;
    case 5443:
      return _ + e + R + "flex-item-" + x(e, /flex-|-self/, "") + e;
    case 4675:
      return _ + e + R + "flex-line-pack" + x(e, /align-content|flex-|-self/, "") + e;
    case 5548:
      return _ + e + R + x(e, "shrink", "negative") + e;
    case 5292:
      return _ + e + R + x(e, "basis", "preferred-size") + e;
    case 6060:
      return _ + "box-" + x(e, "-grow", "") + _ + e + R + x(e, "grow", "positive") + e;
    case 4554:
      return _ + x(e, /([^-])(transform)/g, "$1" + _ + "$2") + e;
    case 6187:
      return x(x(x(e, /(zoom-|grab)/, _ + "$1"), /(image-set)/, _ + "$1"), e, "") + e;
    case 5495:
    case 3959:
      return x(e, /(image-set\([^]*)/, _ + "$1$`$1");
    case 4968:
      return x(x(e, /(.+:)(flex-)?(.*)/, _ + "box-pack:$3" + R + "flex-pack:$3"), /s.+-b[^;]+/, "justify") + _ + e + e;
    case 4095:
    case 3583:
    case 4068:
    case 2532:
      return x(e, /(.+)-inline(.+)/, _ + "$1$2") + e;
    case 8116:
    case 7059:
    case 5753:
    case 5535:
    case 5445:
    case 5701:
    case 4933:
    case 4677:
    case 5533:
    case 5789:
    case 5021:
    case 4765:
      if (J(e) - 1 - r > 6)
        switch (I(e, r + 1)) {
          case 109:
            if (I(e, r + 4) !== 45)
              break;
          case 102:
            return x(e, /(.+:)(.+)-([^]+)/, "$1" + _ + "$2-$3$1" + ke + (I(e, r + 3) == 108 ? "$3" : "$2-$3")) + e;
          case 115:
            return ~ar(e, "stretch") ? bt(x(e, "stretch", "fill-available"), r) + e : e;
        }
      break;
    case 4949:
      if (I(e, r + 1) !== 115)
        break;
    case 6444:
      switch (I(e, J(e) - 3 - (~ar(e, "!important") && 10))) {
        case 107:
          return x(e, ":", ":" + _) + e;
        case 101:
          return x(e, /(.+:)([^;!]+)(;|!.+)?/, "$1" + _ + (I(e, 14) === 45 ? "inline-" : "") + "box$3$1" + _ + "$2$3$1" + R + "$2box$3") + e;
      }
      break;
    case 5936:
      switch (I(e, r + 11)) {
        case 114:
          return _ + e + R + x(e, /[svh]\w+-[tblr]{2}/, "tb") + e;
        case 108:
          return _ + e + R + x(e, /[svh]\w+-[tblr]{2}/, "tb-rl") + e;
        case 45:
          return _ + e + R + x(e, /[svh]\w+-[tblr]{2}/, "lr") + e;
      }
      return _ + e + R + e + e;
  }
  return e;
}
var ra = function(r, t, n, a) {
  if (r.length > -1 && !r.return)
    switch (r.type) {
      case dr:
        r.return = bt(r.value, r.length);
        break;
      case pt:
        return se([me(r, {
          value: x(r.value, "@", "@" + _)
        })], a);
      case lr:
        if (r.length)
          return Mn(r.props, function(i) {
            switch (Fn(i, /(::plac\w+|:read-\w+)/)) {
              case ":read-only":
              case ":read-write":
                return se([me(r, {
                  props: [x(i, /:(read-\w+)/, ":" + ke + "$1")]
                })], a);
              case "::placeholder":
                return se([me(r, {
                  props: [x(i, /:(plac\w+)/, ":" + _ + "input-$1")]
                }), me(r, {
                  props: [x(i, /:(plac\w+)/, ":" + ke + "$1")]
                }), me(r, {
                  props: [x(i, /:(plac\w+)/, R + "input-$1")]
                })], a);
            }
            return "";
          });
    }
}, ta = [ra], na = function(r) {
  var t = r.key;
  if (process.env.NODE_ENV !== "production" && !t)
    throw new Error(`You have to configure \`key\` for your cache. Please make sure it's unique (and not equal to 'css') as it's used for linking styles to your cache.
If multiple caches share the same key they might "fight" for each other's style elements.`);
  if (t === "css") {
    var n = document.querySelectorAll("style[data-emotion]:not([data-s])");
    Array.prototype.forEach.call(n, function($) {
      var B = $.getAttribute("data-emotion");
      B.indexOf(" ") !== -1 && (document.head.appendChild($), $.setAttribute("data-s", ""));
    });
  }
  var a = r.stylisPlugins || ta;
  if (process.env.NODE_ENV !== "production" && /[^a-z-]/.test(t))
    throw new Error('Emotion key must only contain lower case alphabetical characters and - but "' + t + '" was passed');
  var i = {}, o, u = [];
  o = r.container || document.head, Array.prototype.forEach.call(
    // this means we will ignore elements which don't have a space in them which
    // means that the style elements we're looking at are only Emotion 11 server-rendered style elements
    document.querySelectorAll('style[data-emotion^="' + t + ' "]'),
    function($) {
      for (var B = $.getAttribute("data-emotion").split(" "), D = 1; D < B.length; D++)
        i[B[D]] = !0;
      u.push($);
    }
  );
  var s, c = [Kn, qn];
  process.env.NODE_ENV !== "production" && c.push(Xn({
    get compat() {
      return b.compat;
    }
  }), ea);
  {
    var f, h = [zn, process.env.NODE_ENV !== "production" ? function($) {
      $.root || ($.return ? f.insert($.return) : $.value && $.type !== fr && f.insert($.value + "{}"));
    } : Un(function($) {
      f.insert($);
    })], m = Yn(c.concat(a, h)), E = function(B) {
      return se(kn(B), m);
    };
    s = function(B, D, M, Y) {
      f = M, process.env.NODE_ENV !== "production" && D.map !== void 0 && (f = {
        insert: function(L) {
          M.insert(L + D.map);
        }
      }), E(B ? B + "{" + D.styles + "}" : D.styles), Y && (b.inserted[D.name] = !0);
    };
  }
  var b = {
    key: t,
    sheet: new An({
      key: t,
      container: o,
      nonce: r.nonce,
      speedy: r.speedy,
      prepend: r.prepend,
      insertionPoint: r.insertionPoint
    }),
    nonce: r.nonce,
    inserted: i,
    registered: {},
    insert: s
  };
  return b.sheet.hydrate(u), b;
};
function aa(e) {
  for (var r = 0, t, n = 0, a = e.length; a >= 4; ++n, a -= 4)
    t = e.charCodeAt(n) & 255 | (e.charCodeAt(++n) & 255) << 8 | (e.charCodeAt(++n) & 255) << 16 | (e.charCodeAt(++n) & 255) << 24, t = /* Math.imul(k, m): */
    (t & 65535) * 1540483477 + ((t >>> 16) * 59797 << 16), t ^= /* k >>> r: */
    t >>> 24, r = /* Math.imul(k, m): */
    (t & 65535) * 1540483477 + ((t >>> 16) * 59797 << 16) ^ /* Math.imul(h, m): */
    (r & 65535) * 1540483477 + ((r >>> 16) * 59797 << 16);
  switch (a) {
    case 3:
      r ^= (e.charCodeAt(n + 2) & 255) << 16;
    case 2:
      r ^= (e.charCodeAt(n + 1) & 255) << 8;
    case 1:
      r ^= e.charCodeAt(n) & 255, r = /* Math.imul(h, m): */
      (r & 65535) * 1540483477 + ((r >>> 16) * 59797 << 16);
  }
  return r ^= r >>> 13, r = /* Math.imul(h, m): */
  (r & 65535) * 1540483477 + ((r >>> 16) * 59797 << 16), ((r ^ r >>> 15) >>> 0).toString(36);
}
var ia = {
  animationIterationCount: 1,
  aspectRatio: 1,
  borderImageOutset: 1,
  borderImageSlice: 1,
  borderImageWidth: 1,
  boxFlex: 1,
  boxFlexGroup: 1,
  boxOrdinalGroup: 1,
  columnCount: 1,
  columns: 1,
  flex: 1,
  flexGrow: 1,
  flexPositive: 1,
  flexShrink: 1,
  flexNegative: 1,
  flexOrder: 1,
  gridRow: 1,
  gridRowEnd: 1,
  gridRowSpan: 1,
  gridRowStart: 1,
  gridColumn: 1,
  gridColumnEnd: 1,
  gridColumnSpan: 1,
  gridColumnStart: 1,
  msGridRow: 1,
  msGridRowSpan: 1,
  msGridColumn: 1,
  msGridColumnSpan: 1,
  fontWeight: 1,
  lineHeight: 1,
  opacity: 1,
  order: 1,
  orphans: 1,
  tabSize: 1,
  widows: 1,
  zIndex: 1,
  zoom: 1,
  WebkitLineClamp: 1,
  // SVG-related properties
  fillOpacity: 1,
  floodOpacity: 1,
  stopOpacity: 1,
  strokeDasharray: 1,
  strokeDashoffset: 1,
  strokeMiterlimit: 1,
  strokeOpacity: 1,
  strokeWidth: 1
}, Sr = `You have illegal escape sequence in your template literal, most likely inside content's property value.
Because you write your CSS inside a JavaScript string you actually have to do double escaping, so for example "content: '\\00d7';" should become "content: '\\\\00d7';".
You can read more about this here:
https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Template_literals#ES2018_revision_of_illegal_escape_sequences`, ua = "You have passed in falsy value as style object's key (can happen when in example you pass unexported component as computed key).", oa = /[A-Z]|^ms/g, $t = /_EMO_([^_]+?)_([^]*?)_EMO_/g, hr = function(r) {
  return r.charCodeAt(1) === 45;
}, Or = function(r) {
  return r != null && typeof r != "boolean";
}, rr = /* @__PURE__ */ Hn(function(e) {
  return hr(e) ? e : e.replace(oa, "-$&").toLowerCase();
}), Le = function(r, t) {
  switch (r) {
    case "animation":
    case "animationName":
      if (typeof t == "string")
        return t.replace($t, function(n, a, i) {
          return K = {
            name: a,
            styles: i,
            next: K
          }, a;
        });
  }
  return ia[r] !== 1 && !hr(r) && typeof t == "number" && t !== 0 ? t + "px" : t;
};
if (process.env.NODE_ENV !== "production") {
  var sa = /(var|attr|counters?|url|element|(((repeating-)?(linear|radial))|conic)-gradient)\(|(no-)?(open|close)-quote/, ca = ["normal", "none", "initial", "inherit", "unset"], fa = Le, la = /^-ms-/, da = /-(.)/g, wr = {};
  Le = function(r, t) {
    if (r === "content" && (typeof t != "string" || ca.indexOf(t) === -1 && !sa.test(t) && (t.charAt(0) !== t.charAt(t.length - 1) || t.charAt(0) !== '"' && t.charAt(0) !== "'")))
      throw new Error("You seem to be using a value for 'content' without quotes, try replacing it with `content: '\"" + t + "\"'`");
    var n = fa(r, t);
    return n !== "" && !hr(r) && r.indexOf("-") !== -1 && wr[r] === void 0 && (wr[r] = !0, console.error("Using kebab-case for css properties in objects is not supported. Did you mean " + r.replace(la, "ms-").replace(da, function(a, i) {
      return i.toUpperCase();
    }) + "?")), n;
  };
}
var _t = "Component selectors can only be used in conjunction with @emotion/babel-plugin, the swc Emotion plugin, or another Emotion-aware compiler transform.";
function Se(e, r, t) {
  if (t == null)
    return "";
  if (t.__emotion_styles !== void 0) {
    if (process.env.NODE_ENV !== "production" && t.toString() === "NO_COMPONENT_SELECTOR")
      throw new Error(_t);
    return t;
  }
  switch (typeof t) {
    case "boolean":
      return "";
    case "object": {
      if (t.anim === 1)
        return K = {
          name: t.name,
          styles: t.styles,
          next: K
        }, t.name;
      if (t.styles !== void 0) {
        var n = t.next;
        if (n !== void 0)
          for (; n !== void 0; )
            K = {
              name: n.name,
              styles: n.styles,
              next: K
            }, n = n.next;
        var a = t.styles + ";";
        return process.env.NODE_ENV !== "production" && t.map !== void 0 && (a += t.map), a;
      }
      return pa(e, r, t);
    }
    case "function": {
      if (e !== void 0) {
        var i = K, o = t(e);
        return K = i, Se(e, r, o);
      } else
        process.env.NODE_ENV !== "production" && console.error("Functions that are interpolated in css calls will be stringified.\nIf you want to have a css call based on props, create a function that returns a css call like this\nlet dynamicStyle = (props) => css`color: ${props.color}`\nIt can be called directly with props or interpolated in a styled call like this\nlet SomeComponent = styled('div')`${dynamicStyle}`");
      break;
    }
    case "string":
      if (process.env.NODE_ENV !== "production") {
        var u = [], s = t.replace($t, function(f, h, m) {
          var E = "animation" + u.length;
          return u.push("const " + E + " = keyframes`" + m.replace(/^@keyframes animation-\w+/, "") + "`"), "${" + E + "}";
        });
        u.length && console.error("`keyframes` output got interpolated into plain string, please wrap it with `css`.\n\nInstead of doing this:\n\n" + [].concat(u, ["`" + s + "`"]).join(`
`) + `

You should wrap it with \`css\` like this:

` + ("css`" + s + "`"));
      }
      break;
  }
  if (r == null)
    return t;
  var c = r[t];
  return c !== void 0 ? c : t;
}
function pa(e, r, t) {
  var n = "";
  if (Array.isArray(t))
    for (var a = 0; a < t.length; a++)
      n += Se(e, r, t[a]) + ";";
  else
    for (var i in t) {
      var o = t[i];
      if (typeof o != "object")
        r != null && r[o] !== void 0 ? n += i + "{" + r[o] + "}" : Or(o) && (n += rr(i) + ":" + Le(i, o) + ";");
      else {
        if (i === "NO_COMPONENT_SELECTOR" && process.env.NODE_ENV !== "production")
          throw new Error(_t);
        if (Array.isArray(o) && typeof o[0] == "string" && (r == null || r[o[0]] === void 0))
          for (var u = 0; u < o.length; u++)
            Or(o[u]) && (n += rr(i) + ":" + Le(i, o[u]) + ";");
        else {
          var s = Se(e, r, o);
          switch (i) {
            case "animation":
            case "animationName": {
              n += rr(i) + ":" + s + ";";
              break;
            }
            default:
              process.env.NODE_ENV !== "production" && i === "undefined" && console.error(ua), n += i + "{" + s + "}";
          }
        }
      }
    }
  return n;
}
var Dr = /label:\s*([^\s;\n{]+)\s*(;|$)/g, xt;
process.env.NODE_ENV !== "production" && (xt = /\/\*#\ssourceMappingURL=data:application\/json;\S+\s+\*\//g);
var K, tr = function(r, t, n) {
  if (r.length === 1 && typeof r[0] == "object" && r[0] !== null && r[0].styles !== void 0)
    return r[0];
  var a = !0, i = "";
  K = void 0;
  var o = r[0];
  o == null || o.raw === void 0 ? (a = !1, i += Se(n, t, o)) : (process.env.NODE_ENV !== "production" && o[0] === void 0 && console.error(Sr), i += o[0]);
  for (var u = 1; u < r.length; u++)
    i += Se(n, t, r[u]), a && (process.env.NODE_ENV !== "production" && o[u] === void 0 && console.error(Sr), i += o[u]);
  var s;
  process.env.NODE_ENV !== "production" && (i = i.replace(xt, function(m) {
    return s = m, "";
  })), Dr.lastIndex = 0;
  for (var c = "", f; (f = Dr.exec(i)) !== null; )
    c += "-" + // $FlowFixMe we know it's not null
    f[1];
  var h = aa(i) + c;
  return process.env.NODE_ENV !== "production" ? {
    name: h,
    styles: i,
    map: s,
    next: K,
    toString: function() {
      return "You have tried to stringify object returned from `css` function. It isn't supposed to be used directly (e.g. as value of the `className` prop), but rather handed to emotion so it can handle it (e.g. as value of `css` prop).";
    }
  } : {
    name: h,
    styles: i,
    next: K
  };
}, ha = !0;
function Et(e, r, t) {
  var n = "";
  return t.split(" ").forEach(function(a) {
    e[a] !== void 0 ? r.push(e[a] + ";") : n += a + " ";
  }), n;
}
var va = function(r, t, n) {
  var a = r.key + "-" + t.name;
  // we only need to add the styles to the registered cache if the
  // class name could be used further down
  // the tree but if it's a string tag, we know it won't
  // so we don't have to add it to registered cache.
  // this improves memory usage since we can avoid storing the whole style string
  (n === !1 || // we need to always store it if we're in compat mode and
  // in node since emotion-server relies on whether a style is in
  // the registered cache to know whether a style is global or not
  // also, note that this check will be dead code eliminated in the browser
  ha === !1) && r.registered[a] === void 0 && (r.registered[a] = t.styles);
}, ga = function(r, t, n) {
  va(r, t, n);
  var a = r.key + "-" + t.name;
  if (r.inserted[t.name] === void 0) {
    var i = t;
    do
      r.insert(t === i ? "." + a : "", i, r.sheet, !0), i = i.next;
    while (i !== void 0);
  }
};
function Tr(e, r) {
  if (e.inserted[r.name] === void 0)
    return e.insert("", r, e.sheet, !0);
}
function Fr(e, r, t) {
  var n = [], a = Et(e, n, t);
  return n.length < 2 ? t : a + r(n);
}
var ya = function(r) {
  var t = na(r);
  t.sheet.speedy = function(u) {
    if (process.env.NODE_ENV !== "production" && this.ctr !== 0)
      throw new Error("speedy must be changed before any rules are inserted");
    this.isSpeedy = u;
  }, t.compat = !0;
  var n = function() {
    for (var s = arguments.length, c = new Array(s), f = 0; f < s; f++)
      c[f] = arguments[f];
    var h = tr(c, t.registered, void 0);
    return ga(t, h, !1), t.key + "-" + h.name;
  }, a = function() {
    for (var s = arguments.length, c = new Array(s), f = 0; f < s; f++)
      c[f] = arguments[f];
    var h = tr(c, t.registered), m = "animation-" + h.name;
    return Tr(t, {
      name: h.name,
      styles: "@keyframes " + m + "{" + h.styles + "}"
    }), m;
  }, i = function() {
    for (var s = arguments.length, c = new Array(s), f = 0; f < s; f++)
      c[f] = arguments[f];
    var h = tr(c, t.registered);
    Tr(t, h);
  }, o = function() {
    for (var s = arguments.length, c = new Array(s), f = 0; f < s; f++)
      c[f] = arguments[f];
    return Fr(t.registered, n, ma(c));
  };
  return {
    css: n,
    cx: o,
    injectGlobal: i,
    keyframes: a,
    hydrate: function(s) {
      s.forEach(function(c) {
        t.inserted[c] = !0;
      });
    },
    flush: function() {
      t.registered = {}, t.inserted = {}, t.sheet.flush();
    },
    // $FlowFixMe
    sheet: t.sheet,
    cache: t,
    getRegisteredStyles: Et.bind(null, t.registered),
    merge: Fr.bind(null, t.registered, n)
  };
}, ma = function e(r) {
  for (var t = "", n = 0; n < r.length; n++) {
    var a = r[n];
    if (a != null) {
      var i = void 0;
      switch (typeof a) {
        case "boolean":
          break;
        case "object": {
          if (Array.isArray(a))
            i = e(a);
          else {
            i = "";
            for (var o in a)
              a[o] && o && (i && (i += " "), i += o);
          }
          break;
        }
        default:
          i = a;
      }
      i && (t && (t += " "), t += i);
    }
  }
  return t;
}, Ct = ya({
  key: "css"
}), vr = Ct.cx, gr = Ct.css;
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
function Mr(e, r) {
  (r == null || r > e.length) && (r = e.length);
  for (var t = 0, n = new Array(r); t < r; t++)
    n[t] = e[t];
  return n;
}
function ba(e, r) {
  if (e) {
    if (typeof e == "string")
      return Mr(e, r);
    var t = Object.prototype.toString.call(e).slice(8, -1);
    if (t === "Object" && e.constructor && (t = e.constructor.name), t === "Map" || t === "Set")
      return Array.from(e);
    if (t === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(t))
      return Mr(e, r);
  }
}
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
function k(e) {
  "@babel/helpers - typeof";
  return k = typeof Symbol == "function" && typeof Symbol.iterator == "symbol" ? function(r) {
    return typeof r;
  } : function(r) {
    return r && typeof Symbol == "function" && r.constructor === Symbol && r !== Symbol.prototype ? "symbol" : typeof r;
  }, k(e);
}
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
function $a(e, r) {
  if (k(e) != "object" || !e)
    return e;
  var t = e[Symbol.toPrimitive];
  if (t !== void 0) {
    var n = t.call(e, r || "default");
    if (k(n) != "object")
      return n;
    throw new TypeError("@@toPrimitive must return a primitive value.");
  }
  return (r === "string" ? String : Number)(e);
}
function _a(e) {
  var r = $a(e, "string");
  return k(r) == "symbol" ? r : String(r);
}
function $e(e, r, t) {
  return r = _a(r), r in e ? Object.defineProperty(e, r, {
    value: t,
    enumerable: !0,
    configurable: !0,
    writable: !0
  }) : e[r] = t, e;
}
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
function xa(e) {
  if (Array.isArray(e))
    return e;
}
function Ea(e, r) {
  var t = e == null ? null : typeof Symbol < "u" && e[Symbol.iterator] || e["@@iterator"];
  if (t != null) {
    var n, a, i, o, u = [], s = !0, c = !1;
    try {
      if (i = (t = t.call(e)).next, r === 0) {
        if (Object(t) !== t)
          return;
        s = !1;
      } else
        for (; !(s = (n = i.call(t)).done) && (u.push(n.value), u.length !== r); s = !0)
          ;
    } catch (f) {
      c = !0, a = f;
    } finally {
      try {
        if (!s && t.return != null && (o = t.return(), Object(o) !== o))
          return;
      } finally {
        if (c)
          throw a;
      }
    }
    return u;
  }
}
function Ca() {
  throw new TypeError(`Invalid attempt to destructure non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`);
}
function Aa(e, r) {
  return xa(e) || Ea(e, r) || ba(e, r) || Ca();
}
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
var ue = typeof globalThis < "u" ? globalThis : typeof window < "u" ? window : typeof global < "u" ? global : typeof self < "u" ? self : {};
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
var Sa = k(ue) == "object" && ue && ue.Object === Object && ue, At = Sa, Oa = At, wa = (typeof self > "u" ? "undefined" : k(self)) == "object" && self && self.Object === Object && self, Da = Oa || wa || Function("return this")(), le = Da, Ta = le, Fa = Ta.Symbol, yr = Fa, Br = yr, St = Object.prototype, Ma = St.hasOwnProperty, Ba = St.toString, be = Br ? Br.toStringTag : void 0;
function ja(e) {
  var r = Ma.call(e, be), t = e[be];
  try {
    e[be] = void 0;
    var n = !0;
  } catch {
  }
  var a = Ba.call(e);
  return n && (r ? e[be] = t : delete e[be]), a;
}
var Na = ja, Pa = Object.prototype, Ia = Pa.toString;
function Ra(e) {
  return Ia.call(e);
}
var ka = Ra, jr = yr, La = Na, za = ka, Ya = "[object Null]", Ua = "[object Undefined]", Nr = jr ? jr.toStringTag : void 0;
function Ha(e) {
  return e == null ? e === void 0 ? Ua : Ya : Nr && Nr in Object(e) ? La(e) : za(e);
}
var ae = Ha;
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
var Va = Array.isArray, de = Va;
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
function Ga(e) {
  return e != null && k(e) == "object";
}
var re = Ga;
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
var Wa = ae, Ka = de, qa = re, Za = "[object String]";
function Ja(e) {
  return typeof e == "string" || !Ka(e) && qa(e) && Wa(e) == Za;
}
var ze = Ja;
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
var Xa = ae, Qa = re, ei = "[object Number]";
function ri(e) {
  return typeof e == "number" || Qa(e) && Xa(e) == ei;
}
var Pr = ri;
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
function ti() {
  if (typeof navigator > "u" || !navigator)
    return Number.MAX_SAFE_INTEGER;
  var e = navigator, r = e.userAgent, t = r.indexOf("compatible") > -1 && r.indexOf("MSIE") > -1, n = r.indexOf("Trident") > -1 && r.indexOf("rv:11.0") > -1;
  if (t) {
    var a = new RegExp("MSIE (\\d+\\.\\d+);"), i = r.match(a);
    if (!i)
      return -1;
    var o = parseFloat(i[1]);
    return o < 7 ? 6 : o;
  }
  return n ? 11 : Number.MAX_SAFE_INTEGER;
}
function ni() {
  var e, r, t;
  if (typeof navigator > "u" || !navigator)
    return !1;
  var n = navigator.userAgent, a = n.match(/AppleWebKit.+Chrome\/(.+) Safari\/.+/i);
  if (Number(a == null || (e = a[1]) === null || e === void 0 ? void 0 : e.split(".")[0]) < 100)
    return !0;
  var i = n.match(/AppleWebKit.+Version\/(.+) Safari\/.+/i);
  if (Number(i == null || (r = i[1]) === null || r === void 0 ? void 0 : r.split(".")[0]) < 12)
    return !0;
  var o = ti();
  if (o <= 11)
    return !0;
  var u = n.match(/Firefox\/(.+)/i);
  return Number(u == null || (t = u[1]) === null || t === void 0 ? void 0 : t.split(".")[0]) < 100;
}
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
function ai(e) {
  var r = k(e);
  return e != null && (r == "object" || r == "function");
}
var Q = ai;
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
var ii = ae, ui = Q, oi = "[object AsyncFunction]", si = "[object Function]", ci = "[object GeneratorFunction]", fi = "[object Proxy]";
function li(e) {
  if (!ui(e))
    return !1;
  var r = ii(e);
  return r == si || r == ci || r == oi || r == fi;
}
var De = li;
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
var di = le, pi = di["__core-js_shared__"], hi = pi, nr = hi, Ir = function() {
  var e = /[^.]+$/.exec(nr && nr.keys && nr.keys.IE_PROTO || "");
  return e ? "Symbol(src)_1." + e : "";
}();
function vi(e) {
  return !!Ir && Ir in e;
}
var gi = vi, yi = Function.prototype, mi = yi.toString;
function bi(e) {
  if (e != null) {
    try {
      return mi.call(e);
    } catch {
    }
    try {
      return e + "";
    } catch {
    }
  }
  return "";
}
var $i = bi, _i = De, xi = gi, Ei = Q, Ci = $i, Ai = /[\\^$.*+?()[\]{}|]/g, Si = /^\[object .+?Constructor\]$/, Oi = Function.prototype, wi = Object.prototype, Di = Oi.toString, Ti = wi.hasOwnProperty, Fi = RegExp("^" + Di.call(Ti).replace(Ai, "\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, "$1.*?") + "$");
function Mi(e) {
  if (!Ei(e) || xi(e))
    return !1;
  var r = _i(e) ? Fi : Si;
  return r.test(Ci(e));
}
var Bi = Mi;
function ji(e, r) {
  return e == null ? void 0 : e[r];
}
var Ni = ji, Pi = Bi, Ii = Ni;
function Ri(e, r) {
  var t = Ii(e, r);
  return Pi(t) ? t : void 0;
}
var mr = Ri, ki = mr, Li = le, zi = ki(Li, "Map"), Ot = zi;
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
function Yi(e, r) {
  return e === r || e !== e && r !== r;
}
var Ke = Yi;
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
function Ui() {
  this.__data__ = [], this.size = 0;
}
var Hi = Ui, Vi = Ke;
function Gi(e, r) {
  for (var t = e.length; t--; )
    if (Vi(e[t][0], r))
      return t;
  return -1;
}
var qe = Gi, Wi = qe, Ki = Array.prototype, qi = Ki.splice;
function Zi(e) {
  var r = this.__data__, t = Wi(r, e);
  if (t < 0)
    return !1;
  var n = r.length - 1;
  return t == n ? r.pop() : qi.call(r, t, 1), --this.size, !0;
}
var Ji = Zi, Xi = qe;
function Qi(e) {
  var r = this.__data__, t = Xi(r, e);
  return t < 0 ? void 0 : r[t][1];
}
var eu = Qi, ru = qe;
function tu(e) {
  return ru(this.__data__, e) > -1;
}
var nu = tu, au = qe;
function iu(e, r) {
  var t = this.__data__, n = au(t, e);
  return n < 0 ? (++this.size, t.push([e, r])) : t[n][1] = r, this;
}
var uu = iu, ou = Hi, su = Ji, cu = eu, fu = nu, lu = uu;
function pe(e) {
  var r = -1, t = e == null ? 0 : e.length;
  for (this.clear(); ++r < t; ) {
    var n = e[r];
    this.set(n[0], n[1]);
  }
}
pe.prototype.clear = ou;
pe.prototype.delete = su;
pe.prototype.get = cu;
pe.prototype.has = fu;
pe.prototype.set = lu;
var Ze = pe, du = mr, pu = du(Object, "create"), Je = pu, Rr = Je;
function hu() {
  this.__data__ = Rr ? Rr(null) : {}, this.size = 0;
}
var vu = hu;
function gu(e) {
  var r = this.has(e) && delete this.__data__[e];
  return this.size -= r ? 1 : 0, r;
}
var yu = gu, mu = Je, bu = "__lodash_hash_undefined__", $u = Object.prototype, _u = $u.hasOwnProperty;
function xu(e) {
  var r = this.__data__;
  if (mu) {
    var t = r[e];
    return t === bu ? void 0 : t;
  }
  return _u.call(r, e) ? r[e] : void 0;
}
var Eu = xu, Cu = Je, Au = Object.prototype, Su = Au.hasOwnProperty;
function Ou(e) {
  var r = this.__data__;
  return Cu ? r[e] !== void 0 : Su.call(r, e);
}
var wu = Ou, Du = Je, Tu = "__lodash_hash_undefined__";
function Fu(e, r) {
  var t = this.__data__;
  return this.size += this.has(e) ? 0 : 1, t[e] = Du && r === void 0 ? Tu : r, this;
}
var Mu = Fu, Bu = vu, ju = yu, Nu = Eu, Pu = wu, Iu = Mu;
function he(e) {
  var r = -1, t = e == null ? 0 : e.length;
  for (this.clear(); ++r < t; ) {
    var n = e[r];
    this.set(n[0], n[1]);
  }
}
he.prototype.clear = Bu;
he.prototype.delete = ju;
he.prototype.get = Nu;
he.prototype.has = Pu;
he.prototype.set = Iu;
var Ru = he, kr = Ru, ku = Ze, Lu = Ot;
function zu() {
  this.size = 0, this.__data__ = {
    hash: new kr(),
    map: new (Lu || ku)(),
    string: new kr()
  };
}
var Yu = zu;
function Uu(e) {
  var r = k(e);
  return r == "string" || r == "number" || r == "symbol" || r == "boolean" ? e !== "__proto__" : e === null;
}
var Hu = Uu, Vu = Hu;
function Gu(e, r) {
  var t = e.__data__;
  return Vu(r) ? t[typeof r == "string" ? "string" : "hash"] : t.map;
}
var Xe = Gu, Wu = Xe;
function Ku(e) {
  var r = Wu(this, e).delete(e);
  return this.size -= r ? 1 : 0, r;
}
var qu = Ku, Zu = Xe;
function Ju(e) {
  return Zu(this, e).get(e);
}
var Xu = Ju, Qu = Xe;
function eo(e) {
  return Qu(this, e).has(e);
}
var ro = eo, to = Xe;
function no(e, r) {
  var t = to(this, e), n = t.size;
  return t.set(e, r), this.size += t.size == n ? 0 : 1, this;
}
var ao = no, io = Yu, uo = qu, oo = Xu, so = ro, co = ao;
function ve(e) {
  var r = -1, t = e == null ? 0 : e.length;
  for (this.clear(); ++r < t; ) {
    var n = e[r];
    this.set(n[0], n[1]);
  }
}
ve.prototype.clear = io;
ve.prototype.delete = uo;
ve.prototype.get = oo;
ve.prototype.has = so;
ve.prototype.set = co;
var fo = ve;
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
var lo = mr, po = function() {
  try {
    var e = lo(Object, "defineProperty");
    return e({}, "", {}), e;
  } catch {
  }
}(), wt = po;
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
var Lr = wt;
function ho(e, r, t) {
  r == "__proto__" && Lr ? Lr(e, r, {
    configurable: !0,
    enumerable: !0,
    value: t,
    writable: !0
  }) : e[r] = t;
}
var br = ho, vo = br, go = Ke, yo = Object.prototype, mo = yo.hasOwnProperty;
function bo(e, r, t) {
  var n = e[r];
  (!(mo.call(e, r) && go(n, t)) || t === void 0 && !(r in e)) && vo(e, r, t);
}
var $o = bo;
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
var _o = ae, xo = re, Eo = "[object Arguments]";
function Co(e) {
  return xo(e) && _o(e) == Eo;
}
var Ao = Co, zr = Ao, So = re, Dt = Object.prototype, Oo = Dt.hasOwnProperty, wo = Dt.propertyIsEnumerable, Do = zr(/* @__PURE__ */ function() {
  return arguments;
}()) ? zr : function(e) {
  return So(e) && Oo.call(e, "callee") && !wo.call(e, "callee");
}, Tt = Do;
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
var To = 9007199254740991;
function Fo(e) {
  return typeof e == "number" && e > -1 && e % 1 == 0 && e <= To;
}
var Ft = Fo, Mo = De, Bo = Ft;
function jo(e) {
  return e != null && Bo(e.length) && !Mo(e);
}
var $r = jo;
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
function No(e) {
  return function(r) {
    return e(r);
  };
}
var Po = No;
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
var Oe = { exports: {} };
function Io() {
  return !1;
}
var Ro = Io;
(function(e, r) {
  var t = le, n = Ro, a = r && !r.nodeType && r, i = a && !0 && e && !e.nodeType && e, o = i && i.exports === a, u = o ? t.Buffer : void 0, s = u ? u.isBuffer : void 0, c = s || n;
  e.exports = c;
})(Oe, Oe.exports);
Oe.exports;
var ko = ae, Lo = Ft, zo = re, Yo = "[object Arguments]", Uo = "[object Array]", Ho = "[object Boolean]", Vo = "[object Date]", Go = "[object Error]", Wo = "[object Function]", Ko = "[object Map]", qo = "[object Number]", Zo = "[object Object]", Jo = "[object RegExp]", Xo = "[object Set]", Qo = "[object String]", es = "[object WeakMap]", rs = "[object ArrayBuffer]", ts = "[object DataView]", ns = "[object Float32Array]", as = "[object Float64Array]", is = "[object Int8Array]", us = "[object Int16Array]", os = "[object Int32Array]", ss = "[object Uint8Array]", cs = "[object Uint8ClampedArray]", fs = "[object Uint16Array]", ls = "[object Uint32Array]", w = {};
w[ns] = w[as] = w[is] = w[us] = w[os] = w[ss] = w[cs] = w[fs] = w[ls] = !0;
w[Yo] = w[Uo] = w[rs] = w[Ho] = w[ts] = w[Vo] = w[Go] = w[Wo] = w[Ko] = w[qo] = w[Zo] = w[Jo] = w[Xo] = w[Qo] = w[es] = !1;
function ds(e) {
  return zo(e) && Lo(e.length) && !!w[ko(e)];
}
var ps = ds, Ye = { exports: {} };
(function(e, r) {
  var t = At, n = r && !r.nodeType && r, a = n && !0 && e && !e.nodeType && e, i = a && a.exports === n, o = i && t.process, u = function() {
    try {
      var s = a && a.require && a.require("util").types;
      return s || o && o.binding && o.binding("util");
    } catch {
    }
  }();
  e.exports = u;
})(Ye, Ye.exports);
Ye.exports;
var hs = ps, vs = Po, Yr = Ye.exports, Ur = Yr && Yr.isTypedArray, gs = Ur ? vs(Ur) : hs, Mt = gs, ys = Object.prototype;
function ms(e) {
  var r = e && e.constructor, t = typeof r == "function" && r.prototype || ys;
  return e === t;
}
var Bt = ms;
function bs(e, r) {
  return function(t) {
    return e(r(t));
  };
}
var $s = bs;
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
var _s = 9007199254740991, xs = /^(?:0|[1-9]\d*)$/;
function Es(e, r) {
  var t = k(e);
  return r = r ?? _s, !!r && (t == "number" || t != "symbol" && xs.test(e)) && e > -1 && e % 1 == 0 && e < r;
}
var jt = Es;
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
var Cs = Ze;
function As() {
  this.__data__ = new Cs(), this.size = 0;
}
var Ss = As;
function Os(e) {
  var r = this.__data__, t = r.delete(e);
  return this.size = r.size, t;
}
var ws = Os;
function Ds(e) {
  return this.__data__.get(e);
}
var Ts = Ds;
function Fs(e) {
  return this.__data__.has(e);
}
var Ms = Fs, Bs = Ze, js = Ot, Ns = fo, Ps = 200;
function Is(e, r) {
  var t = this.__data__;
  if (t instanceof Bs) {
    var n = t.__data__;
    if (!js || n.length < Ps - 1)
      return n.push([e, r]), this.size = ++t.size, this;
    t = this.__data__ = new Ns(n);
  }
  return t.set(e, r), this.size = t.size, this;
}
var Rs = Is, ks = Ze, Ls = Ss, zs = ws, Ys = Ts, Us = Ms, Hs = Rs;
function ge(e) {
  var r = this.__data__ = new ks(e);
  this.size = r.size;
}
ge.prototype.clear = Ls;
ge.prototype.delete = zs;
ge.prototype.get = Ys;
ge.prototype.has = Us;
ge.prototype.set = Hs;
var Vs = ge, Gs = $o, Ws = br;
function Ks(e, r, t, n) {
  var a = !t;
  t || (t = {});
  for (var i = -1, o = r.length; ++i < o; ) {
    var u = r[i], s = n ? n(t[u], e[u], u, t, e) : void 0;
    s === void 0 && (s = e[u]), a ? Ws(t, u, s) : Gs(t, u, s);
  }
  return t;
}
var qs = Ks;
function Zs(e, r) {
  for (var t = -1, n = Array(e); ++t < e; )
    n[t] = r(t);
  return n;
}
var Js = Zs, Xs = Js, Qs = Tt, ec = de, rc = Oe.exports, tc = jt, nc = Mt, ac = Object.prototype, ic = ac.hasOwnProperty;
function uc(e, r) {
  var t = ec(e), n = !t && Qs(e), a = !t && !n && rc(e), i = !t && !n && !a && nc(e), o = t || n || a || i, u = o ? Xs(e.length, String) : [], s = u.length;
  for (var c in e)
    (r || ic.call(e, c)) && !(o && // Safari 9 has enumerable `arguments.length` in strict mode.
    (c == "length" || // Node.js 0.10 has enumerable non-index properties on buffers.
    a && (c == "offset" || c == "parent") || // PhantomJS 2 has enumerable non-index properties on typed arrays.
    i && (c == "buffer" || c == "byteLength" || c == "byteOffset") || // Skip index properties.
    tc(c, s))) && u.push(c);
  return u;
}
var oc = uc;
function sc(e) {
  var r = [];
  if (e != null)
    for (var t in Object(e))
      r.push(t);
  return r;
}
var cc = sc, fc = Q, lc = Bt, dc = cc, pc = Object.prototype, hc = pc.hasOwnProperty;
function vc(e) {
  if (!fc(e))
    return dc(e);
  var r = lc(e), t = [];
  for (var n in e)
    n == "constructor" && (r || !hc.call(e, n)) || t.push(n);
  return t;
}
var gc = vc, yc = oc, mc = gc, bc = $r;
function $c(e) {
  return bc(e) ? yc(e, !0) : mc(e);
}
var Nt = $c, Ue = { exports: {} };
(function(e, r) {
  var t = le, n = r && !r.nodeType && r, a = n && !0 && e && !e.nodeType && e, i = a && a.exports === n, o = i ? t.Buffer : void 0, u = o ? o.allocUnsafe : void 0;
  function s(c, f) {
    if (f)
      return c.slice();
    var h = c.length, m = u ? u(h) : new c.constructor(h);
    return c.copy(m), m;
  }
  e.exports = s;
})(Ue, Ue.exports);
Ue.exports;
function _c(e, r) {
  var t = -1, n = e.length;
  for (r || (r = Array(n)); ++t < n; )
    r[t] = e[t];
  return r;
}
var xc = _c, Ec = $s, Cc = Ec(Object.getPrototypeOf, Object), Pt = Cc, Ac = le, Sc = Ac.Uint8Array, Oc = Sc, Hr = Oc;
function wc(e) {
  var r = new e.constructor(e.byteLength);
  return new Hr(r).set(new Hr(e)), r;
}
var Dc = wc, Tc = Dc;
function Fc(e, r) {
  var t = r ? Tc(e.buffer) : e.buffer;
  return new e.constructor(t, e.byteOffset, e.length);
}
var Mc = Fc, Bc = Q, Vr = Object.create, jc = /* @__PURE__ */ function() {
  function e() {
  }
  return function(r) {
    if (!Bc(r))
      return {};
    if (Vr)
      return Vr(r);
    e.prototype = r;
    var t = new e();
    return e.prototype = void 0, t;
  };
}(), Nc = jc, Pc = Nc, Ic = Pt, Rc = Bt;
function kc(e) {
  return typeof e.constructor == "function" && !Rc(e) ? Pc(Ic(e)) : {};
}
var Lc = kc;
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
function zc(e) {
  return e;
}
var It = zc;
function Yc(e, r, t) {
  switch (t.length) {
    case 0:
      return e.call(r);
    case 1:
      return e.call(r, t[0]);
    case 2:
      return e.call(r, t[0], t[1]);
    case 3:
      return e.call(r, t[0], t[1], t[2]);
  }
  return e.apply(r, t);
}
var Uc = Yc, Hc = Uc, Gr = Math.max;
function Vc(e, r, t) {
  return r = Gr(r === void 0 ? e.length - 1 : r, 0), function() {
    for (var n = arguments, a = -1, i = Gr(n.length - r, 0), o = Array(i); ++a < i; )
      o[a] = n[r + a];
    a = -1;
    for (var u = Array(r + 1); ++a < r; )
      u[a] = n[a];
    return u[r] = t(o), Hc(e, this, u);
  };
}
var Gc = Vc;
function Wc(e) {
  return function() {
    return e;
  };
}
var Kc = Wc, qc = Kc, Wr = wt, Zc = It, Jc = Wr ? function(e, r) {
  return Wr(e, "toString", {
    configurable: !0,
    enumerable: !1,
    value: qc(r),
    writable: !0
  });
} : Zc, Xc = Jc, Qc = 800, ef = 16, rf = Date.now;
function tf(e) {
  var r = 0, t = 0;
  return function() {
    var n = rf(), a = ef - (n - t);
    if (t = n, a > 0) {
      if (++r >= Qc)
        return arguments[0];
    } else
      r = 0;
    return e.apply(void 0, arguments);
  };
}
var nf = tf, af = Xc, uf = nf, of = uf(af), sf = of;
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
var cf = $r, ff = re;
function lf(e) {
  return ff(e) && cf(e);
}
var df = lf, pf = It, hf = Gc, vf = sf;
function gf(e, r) {
  return vf(hf(e, r, pf), e + "");
}
var yf = gf;
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
var mf = ae, bf = Pt, $f = re, _f = "[object Object]", xf = Function.prototype, Ef = Object.prototype, Rt = xf.toString, Cf = Ef.hasOwnProperty, Af = Rt.call(Object);
function Sf(e) {
  if (!$f(e) || mf(e) != _f)
    return !1;
  var r = bf(e);
  if (r === null)
    return !0;
  var t = Cf.call(r, "constructor") && r.constructor;
  return typeof t == "function" && t instanceof t && Rt.call(t) == Af;
}
var Of = Sf;
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
var wf = Ke, Df = $r, Tf = jt, Ff = Q;
function Mf(e, r, t) {
  if (!Ff(t))
    return !1;
  var n = k(r);
  return (n == "number" ? Df(t) && Tf(r, t.length) : n == "string" && r in t) ? wf(t[r], e) : !1;
}
var Bf = Mf;
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
var jf = {
  classPrefix: "t",
  animation: {
    include: ["ripple", "expand", "fade"],
    exclude: []
  },
  calendar: {
    firstDayOfWeek: 1,
    fillWithZero: !0,
    controllerConfig: void 0
  },
  icon: {},
  input: {
    autocomplete: ""
  },
  dialog: {
    closeOnEscKeydown: !0,
    closeOnOverlayClick: !0,
    confirmBtnTheme: {
      default: "primary",
      info: "primary",
      warning: "primary",
      danger: "primary",
      success: "primary"
    }
  },
  message: {},
  popconfirm: {
    confirmBtnTheme: {
      default: "primary",
      warning: "primary",
      danger: "primary"
    }
  },
  table: {
    expandIcon: void 0,
    sortIcon: void 0,
    filterIcon: void 0,
    treeExpandAndFoldIcon: void 0,
    hideSortTips: !1
  },
  select: {
    clearIcon: void 0,
    filterable: !1
  },
  drawer: {
    closeOnEscKeydown: !0,
    closeOnOverlayClick: !0,
    size: "small"
  },
  tree: {
    folderIcon: void 0
  },
  datePicker: {
    firstDayOfWeek: 1
  },
  steps: {
    checkIcon: void 0,
    errorIcon: void 0
  },
  tag: {
    closeIcon: void 0
  },
  form: {
    requiredMark: void 0
  }
};
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
var kt = { exports: {} };
(function(e, r) {
  (function(t, n) {
    e.exports = n();
  })(ue, function() {
    var t = 1e3, n = 6e4, a = 36e5, i = "millisecond", o = "second", u = "minute", s = "hour", c = "day", f = "week", h = "month", m = "quarter", E = "year", b = "date", $ = "Invalid Date", B = /^(\d{4})[-/]?(\d{1,2})?[-/]?(\d{0,2})[Tt\s]*(\d{1,2})?:?(\d{1,2})?:?(\d{1,2})?[.:]?(\d+)?$/, D = /\[([^\]]+)]|Y{1,4}|M{1,4}|D{1,2}|d{1,4}|H{1,2}|h{1,2}|a|A|m{1,2}|s{1,2}|Z{1,2}|SSS/g, M = {
      name: "en",
      weekdays: "Sunday_Monday_Tuesday_Wednesday_Thursday_Friday_Saturday".split("_"),
      months: "January_February_March_April_May_June_July_August_September_October_November_December".split("_"),
      ordinal: function(l) {
        var d = ["th", "st", "nd", "rd"], v = l % 100;
        return "[" + l + (d[(v - 20) % 10] || d[v] || d[0]) + "]";
      }
    }, Y = function(l, d, v) {
      var p = String(l);
      return !p || p.length >= d ? l : "" + Array(d + 1 - p.length).join(v) + l;
    }, te = {
      s: Y,
      z: function(l) {
        var d = -l.utcOffset(), v = Math.abs(d), p = Math.floor(v / 60), g = v % 60;
        return (d <= 0 ? "+" : "-") + Y(p, 2, "0") + ":" + Y(g, 2, "0");
      },
      m: function S(l, d) {
        if (l.date() < d.date())
          return -S(d, l);
        var v = 12 * (d.year() - l.year()) + (d.month() - l.month()), p = l.clone().add(v, h), g = d - p < 0, y = l.clone().add(v + (g ? -1 : 1), h);
        return +(-(v + (d - p) / (g ? p - y : y - p)) || 0);
      },
      a: function(l) {
        return l < 0 ? Math.ceil(l) || 0 : Math.floor(l);
      },
      p: function(l) {
        return {
          M: h,
          y: E,
          w: f,
          d: c,
          D: b,
          h: s,
          m: u,
          s: o,
          ms: i,
          Q: m
        }[l] || String(l || "").toLowerCase().replace(/s$/, "");
      },
      u: function(l) {
        return l === void 0;
      }
    }, L = "en", j = {};
    j[L] = M;
    var C = "$isDayjsObject", er = function(l) {
      return l instanceof Fe || !(!l || !l[C]);
    }, Te = function S(l, d, v) {
      var p;
      if (!l)
        return L;
      if (typeof l == "string") {
        var g = l.toLowerCase();
        j[g] && (p = g), d && (j[g] = d, p = g);
        var y = l.split("-");
        if (!p && y.length > 1)
          return S(y[0]);
      } else {
        var O = l.name;
        j[O] = l, p = O;
      }
      return !v && p && (L = p), p || !v && L;
    }, N = function(l, d) {
      if (er(l))
        return l.clone();
      var v = k(d) == "object" ? d : {};
      return v.date = l, v.args = arguments, new Fe(v);
    }, A = te;
    A.l = Te, A.i = er, A.w = function(S, l) {
      return N(S, {
        locale: l.$L,
        utc: l.$u,
        x: l.$x,
        $offset: l.$offset
      });
    };
    var Fe = function() {
      function S(d) {
        this.$L = Te(d.locale, null, !0), this.parse(d), this.$x = this.$x || d.x || {}, this[C] = !0;
      }
      var l = S.prototype;
      return l.parse = function(d) {
        this.$d = function(v) {
          var p = v.date, g = v.utc;
          if (p === null)
            return /* @__PURE__ */ new Date(NaN);
          if (A.u(p))
            return /* @__PURE__ */ new Date();
          if (p instanceof Date)
            return new Date(p);
          if (typeof p == "string" && !/Z$/i.test(p)) {
            var y = p.match(B);
            if (y) {
              var O = y[2] - 1 || 0, T = (y[7] || "0").substring(0, 3);
              return g ? new Date(Date.UTC(y[1], O, y[3] || 1, y[4] || 0, y[5] || 0, y[6] || 0, T)) : new Date(y[1], O, y[3] || 1, y[4] || 0, y[5] || 0, y[6] || 0, T);
            }
          }
          return new Date(p);
        }(d), this.init();
      }, l.init = function() {
        var d = this.$d;
        this.$y = d.getFullYear(), this.$M = d.getMonth(), this.$D = d.getDate(), this.$W = d.getDay(), this.$H = d.getHours(), this.$m = d.getMinutes(), this.$s = d.getSeconds(), this.$ms = d.getMilliseconds();
      }, l.$utils = function() {
        return A;
      }, l.isValid = function() {
        return this.$d.toString() !== $;
      }, l.isSame = function(d, v) {
        var p = N(d);
        return this.startOf(v) <= p && p <= this.endOf(v);
      }, l.isAfter = function(d, v) {
        return N(d) < this.startOf(v);
      }, l.isBefore = function(d, v) {
        return this.endOf(v) < N(d);
      }, l.$g = function(d, v, p) {
        return A.u(d) ? this[v] : this.set(p, d);
      }, l.unix = function() {
        return Math.floor(this.valueOf() / 1e3);
      }, l.valueOf = function() {
        return this.$d.getTime();
      }, l.startOf = function(d, v) {
        var p = this, g = !!A.u(v) || v, y = A.p(d), O = function(Z, H) {
          var ee = A.w(p.$u ? Date.UTC(p.$y, H, Z) : new Date(p.$y, H, Z), p);
          return g ? ee : ee.endOf(c);
        }, T = function(Z, H) {
          return A.w(p.toDate()[Z].apply(p.toDate("s"), (g ? [0, 0, 0, 0] : [23, 59, 59, 999]).slice(H)), p);
        }, P = this.$W, z = this.$M, W = this.$D, q = "set" + (this.$u ? "UTC" : "");
        switch (y) {
          case E:
            return g ? O(1, 0) : O(31, 11);
          case h:
            return g ? O(1, z) : O(0, z + 1);
          case f:
            var ne = this.$locale().weekStart || 0, ye = (P < ne ? P + 7 : P) - ne;
            return O(g ? W - ye : W + (6 - ye), z);
          case c:
          case b:
            return T(q + "Hours", 0);
          case s:
            return T(q + "Minutes", 1);
          case u:
            return T(q + "Seconds", 2);
          case o:
            return T(q + "Milliseconds", 3);
          default:
            return this.clone();
        }
      }, l.endOf = function(d) {
        return this.startOf(d, !1);
      }, l.$set = function(d, v) {
        var p, g = A.p(d), y = "set" + (this.$u ? "UTC" : ""), O = (p = {}, p[c] = y + "Date", p[b] = y + "Date", p[h] = y + "Month", p[E] = y + "FullYear", p[s] = y + "Hours", p[u] = y + "Minutes", p[o] = y + "Seconds", p[i] = y + "Milliseconds", p)[g], T = g === c ? this.$D + (v - this.$W) : v;
        if (g === h || g === E) {
          var P = this.clone().set(b, 1);
          P.$d[O](T), P.init(), this.$d = P.set(b, Math.min(this.$D, P.daysInMonth())).$d;
        } else
          O && this.$d[O](T);
        return this.init(), this;
      }, l.set = function(d, v) {
        return this.clone().$set(d, v);
      }, l.get = function(d) {
        return this[A.p(d)]();
      }, l.add = function(d, v) {
        var p, g = this;
        d = Number(d);
        var y = A.p(v), O = function(W) {
          var q = N(g);
          return A.w(q.date(q.date() + Math.round(W * d)), g);
        };
        if (y === h)
          return this.set(h, this.$M + d);
        if (y === E)
          return this.set(E, this.$y + d);
        if (y === c)
          return O(1);
        if (y === f)
          return O(7);
        var T = (p = {}, p[u] = n, p[s] = a, p[o] = t, p)[y] || 1, P = this.$d.getTime() + d * T;
        return A.w(P, this);
      }, l.subtract = function(d, v) {
        return this.add(-1 * d, v);
      }, l.format = function(d) {
        var v = this, p = this.$locale();
        if (!this.isValid())
          return p.invalidDate || $;
        var g = d || "YYYY-MM-DDTHH:mm:ssZ", y = A.z(this), O = this.$H, T = this.$m, P = this.$M, z = p.weekdays, W = p.months, q = p.meridiem, ne = function(H, ee, Be, yn) {
          return H && (H[ee] || H(v, g)) || Be[ee].slice(0, yn);
        }, ye = function(H) {
          return A.s(O % 12 || 12, H, "0");
        }, Me = q || function(Z, H, ee) {
          var Be = Z < 12 ? "AM" : "PM";
          return ee ? Be.toLowerCase() : Be;
        };
        return g.replace(D, function(Z, H) {
          return H || function(ee) {
            switch (ee) {
              case "YY":
                return String(v.$y).slice(-2);
              case "YYYY":
                return A.s(v.$y, 4, "0");
              case "M":
                return P + 1;
              case "MM":
                return A.s(P + 1, 2, "0");
              case "MMM":
                return ne(p.monthsShort, P, W, 3);
              case "MMMM":
                return ne(W, P);
              case "D":
                return v.$D;
              case "DD":
                return A.s(v.$D, 2, "0");
              case "d":
                return String(v.$W);
              case "dd":
                return ne(p.weekdaysMin, v.$W, z, 2);
              case "ddd":
                return ne(p.weekdaysShort, v.$W, z, 3);
              case "dddd":
                return z[v.$W];
              case "H":
                return String(O);
              case "HH":
                return A.s(O, 2, "0");
              case "h":
                return ye(1);
              case "hh":
                return ye(2);
              case "a":
                return Me(O, T, !0);
              case "A":
                return Me(O, T, !1);
              case "m":
                return String(T);
              case "mm":
                return A.s(T, 2, "0");
              case "s":
                return String(v.$s);
              case "ss":
                return A.s(v.$s, 2, "0");
              case "SSS":
                return A.s(v.$ms, 3, "0");
              case "Z":
                return y;
            }
            return null;
          }(Z) || y.replace(":", "");
        });
      }, l.utcOffset = function() {
        return 15 * -Math.round(this.$d.getTimezoneOffset() / 15);
      }, l.diff = function(d, v, p) {
        var g, y = this, O = A.p(v), T = N(d), P = (T.utcOffset() - this.utcOffset()) * n, z = this - T, W = function() {
          return A.m(y, T);
        };
        switch (O) {
          case E:
            g = W() / 12;
            break;
          case h:
            g = W();
            break;
          case m:
            g = W() / 3;
            break;
          case f:
            g = (z - P) / 6048e5;
            break;
          case c:
            g = (z - P) / 864e5;
            break;
          case s:
            g = z / a;
            break;
          case u:
            g = z / n;
            break;
          case o:
            g = z / t;
            break;
          default:
            g = z;
        }
        return p ? g : A.a(g);
      }, l.daysInMonth = function() {
        return this.endOf(h).$D;
      }, l.$locale = function() {
        return j[this.$L];
      }, l.locale = function(d, v) {
        if (!d)
          return this.$L;
        var p = this.clone(), g = Te(d, v, !0);
        return g && (p.$L = g), p;
      }, l.clone = function() {
        return A.w(this.$d, this);
      }, l.toDate = function() {
        return new Date(this.valueOf());
      }, l.toJSON = function() {
        return this.isValid() ? this.toISOString() : null;
      }, l.toISOString = function() {
        return this.$d.toISOString();
      }, l.toString = function() {
        return this.$d.toUTCString();
      }, S;
    }(), _r = Fe.prototype;
    return N.prototype = _r, [["$ms", i], ["$s", o], ["$m", u], ["$H", s], ["$W", c], ["$M", h], ["$y", E], ["$D", b]].forEach(function(S) {
      _r[S[1]] = function(l) {
        return this.$g(l, S[0], S[1]);
      };
    }), N.extend = function(S, l) {
      return S.$i || (S(l, Fe, N), S.$i = !0), N;
    }, N.locale = Te, N.isDayjs = er, N.unix = function(S) {
      return N(1e3 * S);
    }, N.en = j[L], N.Ls = j, N.p = {}, N;
  });
})(kt);
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
var Nf = { exports: {} };
(function(e, r) {
  (function(t, n) {
    e.exports = n(kt.exports);
  })(ue, function(t) {
    function n(o) {
      return o && k(o) == "object" && "default" in o ? o : {
        default: o
      };
    }
    var a = n(t), i = {
      name: "zh-cn",
      weekdays: "星期日_星期一_星期二_星期三_星期四_星期五_星期六".split("_"),
      weekdaysShort: "周日_周一_周二_周三_周四_周五_周六".split("_"),
      weekdaysMin: "日_一_二_三_四_五_六".split("_"),
      months: "一月_二月_三月_四月_五月_六月_七月_八月_九月_十月_十一月_十二月".split("_"),
      monthsShort: "1月_2月_3月_4月_5月_6月_7月_8月_9月_10月_11月_12月".split("_"),
      ordinal: function(u, s) {
        return s === "W" ? u + "周" : u + "日";
      },
      weekStart: 1,
      yearStart: 4,
      formats: {
        LT: "HH:mm",
        LTS: "HH:mm:ss",
        L: "YYYY/MM/DD",
        LL: "YYYY年M月D日",
        LLL: "YYYY年M月D日Ah点mm分",
        LLLL: "YYYY年M月D日ddddAh点mm分",
        l: "YYYY/M/D",
        ll: "YYYY年M月D日",
        lll: "YYYY年M月D日 HH:mm",
        llll: "YYYY年M月D日dddd HH:mm"
      },
      relativeTime: {
        future: "%s内",
        past: "%s前",
        s: "几秒",
        m: "1 分钟",
        mm: "%d 分钟",
        h: "1 小时",
        hh: "%d 小时",
        d: "1 天",
        dd: "%d 天",
        M: "1 个月",
        MM: "%d 个月",
        y: "1 年",
        yy: "%d 年"
      },
      meridiem: function(u, s) {
        var c = 100 * u + s;
        return c < 600 ? "凌晨" : c < 900 ? "早上" : c < 1100 ? "上午" : c < 1300 ? "中午" : c < 1800 ? "下午" : "晚上";
      }
    };
    return a.default.locale(i, null, !0), i;
  });
})(Nf);
var Pf = {
  pagination: {
    itemsPerPage: "{size} 条/页",
    jumpTo: "跳至",
    page: "页",
    total: "共 {total} 条数据"
  },
  cascader: {
    empty: "暂无数据",
    loadingText: "加载中",
    placeholder: "请选择"
  },
  calendar: {
    yearSelection: "{year} 年",
    monthSelection: "{month} 月",
    yearRadio: "年",
    monthRadio: "月",
    hideWeekend: "隐藏周末",
    showWeekend: "显示周末",
    today: "今天",
    thisMonth: "本月",
    week: "一,二,三,四,五,六,日",
    cellMonth: "1 月,2 月,3 月,4 月,5 月,6 月,7 月,8 月,9 月,10 月,11 月,12 月"
  },
  transfer: {
    title: "{checked} / {total} 项",
    empty: "暂无数据",
    placeholder: "请输入关键词搜索"
  },
  timePicker: {
    dayjsLocale: "zh-cn",
    now: "此刻",
    confirm: "确定",
    anteMeridiem: "上午",
    postMeridiem: "下午",
    placeholder: "选择时间"
  },
  dialog: {
    confirm: "确认",
    cancel: "取消"
  },
  drawer: {
    confirm: "确认",
    cancel: "取消"
  },
  popconfirm: {
    confirm: {
      content: "确定"
    },
    cancel: {
      content: "取消"
    }
  },
  table: {
    empty: "暂无数据",
    loadingText: "正在加载中，请稍后",
    loadingMoreText: "点击加载更多",
    filterInputPlaceholder: "请输入内容（无默认值）",
    sortAscendingOperationText: "点击升序",
    sortCancelOperationText: "点击取消排序",
    sortDescendingOperationText: "点击降序",
    clearFilterResultButtonText: "清空筛选",
    columnConfigButtonText: "列配置",
    columnConfigTitleText: "表格列配置",
    columnConfigDescriptionText: "请选择需要在表格中显示的数据列",
    confirmText: "确认",
    cancelText: "取消",
    resetText: "重置",
    selectAllText: "全选",
    searchResultText: "搜索“{result}”，找到 {count} 条结果"
  },
  select: {
    empty: "暂无数据",
    loadingText: "加载中",
    placeholder: "请选择"
  },
  tree: {
    empty: "暂无数据"
  },
  treeSelect: {
    empty: "暂无数据",
    loadingText: "加载中",
    placeholder: "请选择"
  },
  datePicker: {
    dayjsLocale: "zh-cn",
    placeholder: {
      date: "请选择日期",
      month: "请选择月份",
      year: "请选择年份"
    },
    weekdays: ["一", "二", "三", "四", "五", "六", "日"],
    months: ["1 月", "2 月", "3 月", "4 月", "5 月", "6 月", "7 月", "8 月", "9 月", "10 月", "11 月", "12 月"],
    quarters: ["一季度", "二季度", "三季度", "四季度"],
    rangeSeparator: " - ",
    direction: "ltr",
    format: "YYYY-MM-DD",
    dayAriaLabel: "日",
    weekAbbreviation: "周",
    yearAriaLabel: "年",
    monthAriaLabel: "月",
    confirm: "确定",
    selectTime: "选择时间",
    selectDate: "选择日期",
    nextYear: "下一年",
    preYear: "上一年",
    nextMonth: "下个月",
    preMonth: "上个月",
    preDecade: "上个十年",
    nextDecade: "下个十年",
    now: "当前"
  },
  upload: {
    sizeLimitMessage: "文件大小不能超过 {sizeLimit}",
    cancelUploadText: "取消上传",
    triggerUploadText: {
      fileInput: "选择文件",
      image: "点击上传图片",
      normal: "点击上传",
      reupload: "重新选择",
      continueUpload: "继续选择",
      delete: "删除",
      uploading: "上传中"
    },
    dragger: {
      dragDropText: "释放鼠标",
      draggingText: "拖拽到此区域",
      clickAndDragText: "点击上方“选择文件”或将文件拖拽到此区域"
    },
    file: {
      fileNameText: "文件名",
      fileSizeText: "文件大小",
      fileStatusText: "状态",
      fileOperationText: "操作",
      fileOperationDateText: "上传日期"
    },
    progress: {
      uploadingText: "上传中",
      waitingText: "待上传",
      failText: "上传失败",
      successText: "上传成功"
    }
  },
  form: {
    errorMessage: {
      date: "请输入正确的${name}",
      url: "请输入正确的${name}",
      required: "${name}必填",
      max: "${name}字符长度不能超过 ${validate} 个字符，一个中文等于两个字符",
      min: "${name}字符长度不能少于 ${validate} 个字符，一个中文等于两个字符",
      len: "${name}字符长度必须是 ${validate}",
      enum: "${name}只能是${validate}等",
      idcard: "请输入正确的${name}",
      telnumber: "请输入正确的${name}",
      pattern: "请输入正确的${name}",
      validator: "${name}不符合要求",
      boolean: "${name}数据类型必须是布尔类型",
      number: "${name}必须是数字"
    }
  },
  input: {
    placeholder: "请输入"
  },
  list: {
    loadingText: "正在加载中，请稍等",
    loadingMoreText: "点击加载更多"
  },
  alert: {
    expandText: "展开更多",
    collapseText: "收起"
  },
  anchor: {
    copySuccessText: "链接复制成功",
    copyText: "复制链接"
  },
  colorPicker: {
    swatchColorTitle: "系统预设颜色",
    recentColorTitle: "最近使用颜色",
    clearConfirmText: "确定清空最近使用的颜色吗？"
  },
  guide: {
    finishButtonProps: {
      content: "完成",
      theme: "primary"
    },
    nextButtonProps: {
      content: "下一步",
      theme: "primary"
    },
    skipButtonProps: {
      content: "跳过",
      theme: "default"
    },
    prevButtonProps: {
      content: "上一步",
      theme: "default"
    }
  },
  image: {
    errorText: "图片无法显示",
    loadingText: "图片加载中"
  },
  imageViewer: {
    errorText: "图片加载失败，可尝试重新加载",
    mirrorTipText: "镜像",
    rotateTipText: "旋转",
    originalSizeTipText: "原始大小"
  }
};
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
var If = br, Rf = Ke;
function kf(e, r, t) {
  (t !== void 0 && !Rf(e[r], t) || t === void 0 && !(r in e)) && If(e, r, t);
}
var Lt = kf;
function Lf(e) {
  return function(r, t, n) {
    for (var a = -1, i = Object(r), o = n(r), u = o.length; u--; ) {
      var s = o[e ? u : ++a];
      if (t(i[s], s, i) === !1)
        break;
    }
    return r;
  };
}
var zf = Lf, Yf = zf, Uf = Yf(), Hf = Uf;
function Vf(e, r) {
  if (!(r === "constructor" && typeof e[r] == "function") && r != "__proto__")
    return e[r];
}
var zt = Vf, Gf = qs, Wf = Nt;
function Kf(e) {
  return Gf(e, Wf(e));
}
var qf = Kf, Kr = Lt, Zf = Ue.exports, Jf = Mc, Xf = xc, Qf = Lc, qr = Tt, Zr = de, el = df, rl = Oe.exports, tl = De, nl = Q, al = Of, il = Mt, Jr = zt, ul = qf;
function ol(e, r, t, n, a, i, o) {
  var u = Jr(e, t), s = Jr(r, t), c = o.get(s);
  if (c) {
    Kr(e, t, c);
    return;
  }
  var f = i ? i(u, s, t + "", e, r, o) : void 0, h = f === void 0;
  if (h) {
    var m = Zr(s), E = !m && rl(s), b = !m && !E && il(s);
    f = s, m || E || b ? Zr(u) ? f = u : el(u) ? f = Xf(u) : E ? (h = !1, f = Zf(s, !0)) : b ? (h = !1, f = Jf(s, !0)) : f = [] : al(s) || qr(s) ? (f = u, qr(u) ? f = ul(u) : (!nl(u) || tl(u)) && (f = Qf(s))) : h = !1;
  }
  h && (o.set(s, f), a(f, s, n, i, o), o.delete(s)), Kr(e, t, f);
}
var sl = ol, cl = Vs, fl = Lt, ll = Hf, dl = sl, pl = Q, hl = Nt, vl = zt;
function Yt(e, r, t, n, a) {
  e !== r && ll(r, function(i, o) {
    if (a || (a = new cl()), pl(i))
      dl(e, r, o, t, Yt, n, a);
    else {
      var u = n ? n(vl(e, o), i, o + "", e, r, a) : void 0;
      u === void 0 && (u = i), fl(e, o, u);
    }
  }, hl);
}
var Ut = Yt, gl = yf, yl = Bf;
function ml(e) {
  return gl(function(r, t) {
    var n = -1, a = t.length, i = a > 1 ? t[a - 1] : void 0, o = a > 2 ? t[2] : void 0;
    for (i = e.length > 3 && typeof i == "function" ? (a--, i) : void 0, o && yl(t[0], t[1], o) && (i = a < 3 ? void 0 : i, a = 1), r = Object(r); ++n < a; ) {
      var u = t[n];
      u && e(r, u, n, i);
    }
    return r;
  });
}
var Ht = ml, bl = Ut, $l = Ht;
$l(function(e, r, t, n) {
  bl(e, r, t, n);
});
var _l = Ut, xl = Ht, El = xl(function(e, r, t) {
  _l(e, r, t);
}), Cl = El, Al = Cl(jf, Pf), Sl = Symbol("configProvide");
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
var Ol = mn();
function wl() {
  var e = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : void 0, r = arguments.length > 1 ? arguments[1] : void 0, t = cr() ? bn(Sl, null) : Ol, n = oe(function() {
    return (t == null ? void 0 : t.value) || Al;
  }), a = oe(function() {
    return Object.assign({}, n.value[e], r);
  }), i = oe(function() {
    return n.value.classPrefix;
  }), o = function(s) {
    for (var c = arguments.length, f = new Array(c > 1 ? c - 1 : 0), h = 1; h < c; h++)
      f[h - 1] = arguments[h];
    var m = f[0];
    if (ze(s)) {
      if (!m)
        return s;
      var E = /\{\s*([\w-]+)\s*\}/g, b = s.replace(E, function($, B) {
        return m ? String(m[B]) : "";
      });
      return b;
    }
    return De(s) ? f.length ? s.apply(void 0, f) : s(lt) : "";
  };
  return {
    t: o,
    global: a,
    globalConfig: a,
    classPrefix: i
  };
}
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
function Dl(e) {
  var r = wl("classPrefix"), t = r.classPrefix;
  return oe(function() {
    return e ? "".concat(t.value, "-").concat(e) : t.value;
  });
}
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
var Tl = ae, Fl = re, Ml = "[object Symbol]";
function Bl(e) {
  return k(e) == "symbol" || Fl(e) && Tl(e) == Ml;
}
var jl = Bl;
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
function Nl(e, r) {
  for (var t = -1, n = e == null ? 0 : e.length, a = Array(n); ++t < n; )
    a[t] = r(e[t], t, e);
  return a;
}
var Pl = Nl, Xr = yr, Il = Pl, Rl = de, kl = jl, Ll = 1 / 0, Qr = Xr ? Xr.prototype : void 0, et = Qr ? Qr.toString : void 0;
function Vt(e) {
  if (typeof e == "string")
    return e;
  if (Rl(e))
    return Il(e, Vt) + "";
  if (kl(e))
    return et ? et.call(e) : "";
  var r = e + "";
  return r == "0" && 1 / e == -Ll ? "-0" : r;
}
var zl = Vt, Yl = zl;
function Ul(e) {
  return e == null ? "" : Yl(e);
}
var Qe = Ul;
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
function Hl(e, r, t) {
  var n = -1, a = e.length;
  r < 0 && (r = -r > a ? 0 : a + r), t = t > a ? a : t, t < 0 && (t += a), a = r > t ? 0 : t - r >>> 0, r >>>= 0;
  for (var i = Array(a); ++n < a; )
    i[n] = e[n + r];
  return i;
}
var Vl = Hl;
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
var Gl = Vl;
function Wl(e, r, t) {
  var n = e.length;
  return t = t === void 0 ? n : t, !r && t >= n ? e : Gl(e, r, t);
}
var Kl = Wl, ql = "\\ud800-\\udfff", Zl = "\\u0300-\\u036f", Jl = "\\ufe20-\\ufe2f", Xl = "\\u20d0-\\u20ff", Ql = Zl + Jl + Xl, ed = "\\ufe0e\\ufe0f", rd = "\\u200d", td = RegExp("[" + rd + ql + Ql + ed + "]");
function nd(e) {
  return td.test(e);
}
var Gt = nd;
function ad(e) {
  return e.split("");
}
var id = ad, Wt = "\\ud800-\\udfff", ud = "\\u0300-\\u036f", od = "\\ufe20-\\ufe2f", sd = "\\u20d0-\\u20ff", cd = ud + od + sd, fd = "\\ufe0e\\ufe0f", ld = "[" + Wt + "]", ur = "[" + cd + "]", or = "\\ud83c[\\udffb-\\udfff]", dd = "(?:" + ur + "|" + or + ")", Kt = "[^" + Wt + "]", qt = "(?:\\ud83c[\\udde6-\\uddff]){2}", Zt = "[\\ud800-\\udbff][\\udc00-\\udfff]", pd = "\\u200d", Jt = dd + "?", Xt = "[" + fd + "]?", hd = "(?:" + pd + "(?:" + [Kt, qt, Zt].join("|") + ")" + Xt + Jt + ")*", vd = Xt + Jt + hd, gd = "(?:" + [Kt + ur + "?", ur, qt, Zt, ld].join("|") + ")", yd = RegExp(or + "(?=" + or + ")|" + gd + vd, "g");
function md(e) {
  return e.match(yd) || [];
}
var bd = md, $d = id, _d = Gt, xd = bd;
function Ed(e) {
  return _d(e) ? xd(e) : $d(e);
}
var Cd = Ed;
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
function Ad(e, r, t, n) {
  var a = -1, i = e == null ? 0 : e.length;
  for (n && i && (t = e[++a]); ++a < i; )
    t = r(t, e[a], a, e);
  return t;
}
var Sd = Ad;
function Od(e) {
  return function(r) {
    return e == null ? void 0 : e[r];
  };
}
var wd = Od, Dd = wd, Td = {
  // Latin-1 Supplement block.
  À: "A",
  Á: "A",
  Â: "A",
  Ã: "A",
  Ä: "A",
  Å: "A",
  à: "a",
  á: "a",
  â: "a",
  ã: "a",
  ä: "a",
  å: "a",
  Ç: "C",
  ç: "c",
  Ð: "D",
  ð: "d",
  È: "E",
  É: "E",
  Ê: "E",
  Ë: "E",
  è: "e",
  é: "e",
  ê: "e",
  ë: "e",
  Ì: "I",
  Í: "I",
  Î: "I",
  Ï: "I",
  ì: "i",
  í: "i",
  î: "i",
  ï: "i",
  Ñ: "N",
  ñ: "n",
  Ò: "O",
  Ó: "O",
  Ô: "O",
  Õ: "O",
  Ö: "O",
  Ø: "O",
  ò: "o",
  ó: "o",
  ô: "o",
  õ: "o",
  ö: "o",
  ø: "o",
  Ù: "U",
  Ú: "U",
  Û: "U",
  Ü: "U",
  ù: "u",
  ú: "u",
  û: "u",
  ü: "u",
  Ý: "Y",
  ý: "y",
  ÿ: "y",
  Æ: "Ae",
  æ: "ae",
  Þ: "Th",
  þ: "th",
  ß: "ss",
  // Latin Extended-A block.
  Ā: "A",
  Ă: "A",
  Ą: "A",
  ā: "a",
  ă: "a",
  ą: "a",
  Ć: "C",
  Ĉ: "C",
  Ċ: "C",
  Č: "C",
  ć: "c",
  ĉ: "c",
  ċ: "c",
  č: "c",
  Ď: "D",
  Đ: "D",
  ď: "d",
  đ: "d",
  Ē: "E",
  Ĕ: "E",
  Ė: "E",
  Ę: "E",
  Ě: "E",
  ē: "e",
  ĕ: "e",
  ė: "e",
  ę: "e",
  ě: "e",
  Ĝ: "G",
  Ğ: "G",
  Ġ: "G",
  Ģ: "G",
  ĝ: "g",
  ğ: "g",
  ġ: "g",
  ģ: "g",
  Ĥ: "H",
  Ħ: "H",
  ĥ: "h",
  ħ: "h",
  Ĩ: "I",
  Ī: "I",
  Ĭ: "I",
  Į: "I",
  İ: "I",
  ĩ: "i",
  ī: "i",
  ĭ: "i",
  į: "i",
  ı: "i",
  Ĵ: "J",
  ĵ: "j",
  Ķ: "K",
  ķ: "k",
  ĸ: "k",
  Ĺ: "L",
  Ļ: "L",
  Ľ: "L",
  Ŀ: "L",
  Ł: "L",
  ĺ: "l",
  ļ: "l",
  ľ: "l",
  ŀ: "l",
  ł: "l",
  Ń: "N",
  Ņ: "N",
  Ň: "N",
  Ŋ: "N",
  ń: "n",
  ņ: "n",
  ň: "n",
  ŋ: "n",
  Ō: "O",
  Ŏ: "O",
  Ő: "O",
  ō: "o",
  ŏ: "o",
  ő: "o",
  Ŕ: "R",
  Ŗ: "R",
  Ř: "R",
  ŕ: "r",
  ŗ: "r",
  ř: "r",
  Ś: "S",
  Ŝ: "S",
  Ş: "S",
  Š: "S",
  ś: "s",
  ŝ: "s",
  ş: "s",
  š: "s",
  Ţ: "T",
  Ť: "T",
  Ŧ: "T",
  ţ: "t",
  ť: "t",
  ŧ: "t",
  Ũ: "U",
  Ū: "U",
  Ŭ: "U",
  Ů: "U",
  Ű: "U",
  Ų: "U",
  ũ: "u",
  ū: "u",
  ŭ: "u",
  ů: "u",
  ű: "u",
  ų: "u",
  Ŵ: "W",
  ŵ: "w",
  Ŷ: "Y",
  ŷ: "y",
  Ÿ: "Y",
  Ź: "Z",
  Ż: "Z",
  Ž: "Z",
  ź: "z",
  ż: "z",
  ž: "z",
  Ĳ: "IJ",
  ĳ: "ij",
  Œ: "Oe",
  œ: "oe",
  ŉ: "'n",
  ſ: "s"
}, Fd = Dd(Td), Md = Fd, Bd = Md, jd = Qe, Nd = /[\xc0-\xd6\xd8-\xf6\xf8-\xff\u0100-\u017f]/g, Pd = "\\u0300-\\u036f", Id = "\\ufe20-\\ufe2f", Rd = "\\u20d0-\\u20ff", kd = Pd + Id + Rd, Ld = "[" + kd + "]", zd = RegExp(Ld, "g");
function Yd(e) {
  return e = jd(e), e && e.replace(Nd, Bd).replace(zd, "");
}
var Ud = Yd, Hd = /[^\x00-\x2f\x3a-\x40\x5b-\x60\x7b-\x7f]+/g;
function Vd(e) {
  return e.match(Hd) || [];
}
var Gd = Vd, Wd = /[a-z][A-Z]|[A-Z]{2}[a-z]|[0-9][a-zA-Z]|[a-zA-Z][0-9]|[^a-zA-Z0-9 ]/;
function Kd(e) {
  return Wd.test(e);
}
var qd = Kd, Qt = "\\ud800-\\udfff", Zd = "\\u0300-\\u036f", Jd = "\\ufe20-\\ufe2f", Xd = "\\u20d0-\\u20ff", Qd = Zd + Jd + Xd, en = "\\u2700-\\u27bf", rn = "a-z\\xdf-\\xf6\\xf8-\\xff", e0 = "\\xac\\xb1\\xd7\\xf7", r0 = "\\x00-\\x2f\\x3a-\\x40\\x5b-\\x60\\x7b-\\xbf", t0 = "\\u2000-\\u206f", n0 = " \\t\\x0b\\f\\xa0\\ufeff\\n\\r\\u2028\\u2029\\u1680\\u180e\\u2000\\u2001\\u2002\\u2003\\u2004\\u2005\\u2006\\u2007\\u2008\\u2009\\u200a\\u202f\\u205f\\u3000", tn = "A-Z\\xc0-\\xd6\\xd8-\\xde", a0 = "\\ufe0e\\ufe0f", nn = e0 + r0 + t0 + n0, an = "['’]", rt = "[" + nn + "]", i0 = "[" + Qd + "]", un = "\\d+", u0 = "[" + en + "]", on = "[" + rn + "]", sn = "[^" + Qt + nn + un + en + rn + tn + "]", o0 = "\\ud83c[\\udffb-\\udfff]", s0 = "(?:" + i0 + "|" + o0 + ")", c0 = "[^" + Qt + "]", cn = "(?:\\ud83c[\\udde6-\\uddff]){2}", fn = "[\\ud800-\\udbff][\\udc00-\\udfff]", ie = "[" + tn + "]", f0 = "\\u200d", tt = "(?:" + on + "|" + sn + ")", l0 = "(?:" + ie + "|" + sn + ")", nt = "(?:" + an + "(?:d|ll|m|re|s|t|ve))?", at = "(?:" + an + "(?:D|LL|M|RE|S|T|VE))?", ln = s0 + "?", dn = "[" + a0 + "]?", d0 = "(?:" + f0 + "(?:" + [c0, cn, fn].join("|") + ")" + dn + ln + ")*", p0 = "\\d*(?:1st|2nd|3rd|(?![123])\\dth)(?=\\b|[A-Z_])", h0 = "\\d*(?:1ST|2ND|3RD|(?![123])\\dTH)(?=\\b|[a-z_])", v0 = dn + ln + d0, g0 = "(?:" + [u0, cn, fn].join("|") + ")" + v0, y0 = RegExp([ie + "?" + on + "+" + nt + "(?=" + [rt, ie, "$"].join("|") + ")", l0 + "+" + at + "(?=" + [rt, ie + tt, "$"].join("|") + ")", ie + "?" + tt + "+" + nt, ie + "+" + at, h0, p0, un, g0].join("|"), "g");
function m0(e) {
  return e.match(y0) || [];
}
var b0 = m0, $0 = Gd, _0 = qd, x0 = Qe, E0 = b0;
function C0(e, r, t) {
  return e = x0(e), r = t ? void 0 : r, r === void 0 ? _0(e) ? E0(e) : $0(e) : e.match(r) || [];
}
var A0 = C0, S0 = Sd, O0 = Ud, w0 = A0, D0 = "['’]", T0 = RegExp(D0, "g");
function F0(e) {
  return function(r) {
    return S0(w0(O0(r).replace(T0, "")), e, "");
  };
}
var pn = F0;
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
var M0 = Kl, B0 = Gt, j0 = Cd, N0 = Qe;
function P0(e) {
  return function(r) {
    r = N0(r);
    var t = B0(r) ? j0(r) : void 0, n = t ? t[0] : r.charAt(0), a = t ? M0(t, 1).join("") : r.slice(1);
    return n[e]() + a;
  };
}
var I0 = P0, R0 = I0, k0 = R0("toUpperCase"), L0 = k0, z0 = Qe, Y0 = L0;
function U0(e) {
  return Y0(z0(e).toLowerCase());
}
var H0 = U0, V0 = H0, G0 = pn, W0 = G0(function(e, r, t) {
  return r = r.toLowerCase(), e + (t ? V0(r) : r);
}), hn = W0;
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
var K0 = pn, q0 = K0(function(e, r, t) {
  return e + (t ? "-" : "") + r.toLowerCase();
}), vn = q0;
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
function Z0(e) {
  var r;
  return Q(e) && "defaultNode" in e ? r = e.defaultNode : ($n(e) || ze(e)) && (r = e), r;
}
function J0(e) {
  return Q(e) && "params" in e ? e.params : {};
}
function X0(e) {
  return Q(e) && "slotFirst" in e ? e.slotFirst : {};
}
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
function Q0(e, r, t) {
  var n = e;
  return n.install = function(a, i) {
    a.component(r || i || n.name, e), t && a.directive(t.name, t.comp);
  }, n;
}
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
function it(e, r, t) {
  var n, a, i, o, u = (n = (a = e.slots)[hn(r)]) === null || n === void 0 ? void 0 : n.call(a, t);
  return u && u.filter(function(s) {
    return s.type.toString() !== "Symbol(v-cmt)";
  }).length || (u = (i = (o = e.slots)[vn(r)]) === null || i === void 0 ? void 0 : i.call(o, t), u && u.filter(function(s) {
    return s.type.toString() !== "Symbol(v-cmt)";
  }).length) ? u : null;
}
var e1 = function() {
  var r = cr();
  return function(t, n) {
    var a = J0(n), i = Z0(n), o = X0(n), u;
    if (Object.keys(r.props).includes(t) && (u = r.props[t]), u !== !1) {
      if (u === !0)
        return it(r, t, a) || i;
      if (De(u))
        return u(lt, a);
      var s = [void 0, a, ""].includes(u);
      return (s || o) && (r.slots[hn(t)] || r.slots[vn(t)]) ? it(r, t, a) : u;
    }
  };
};
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
var r1 = {
  align: {
    type: String,
    validator: function(r) {
      return r ? ["start", "end", "center", "baseline"].includes(r) : !0;
    }
  },
  breakLine: Boolean,
  direction: {
    type: String,
    default: "horizontal",
    validator: function(r) {
      return r ? ["vertical", "horizontal"].includes(r) : !0;
    }
  },
  separator: {
    type: [String, Function]
  },
  size: {
    type: [String, Number, Array],
    default: "medium"
  }
};
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
function t1() {
  var e = cr();
  return function() {
    var r, t = e.slots, n = (t == null || (r = t.default) === null || r === void 0 ? void 0 : r.call(t)) || [];
    return n.filter(function(a) {
      return k(a.type) === "symbol" && !a.children ? !1 : a.type !== _n;
    }).map(function(a) {
      return a.children && de(a.children) && a.type === dt ? a.children : a;
    }).flat();
  };
}
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
function ut(e, r) {
  var t = Object.keys(e);
  if (Object.getOwnPropertySymbols) {
    var n = Object.getOwnPropertySymbols(e);
    r && (n = n.filter(function(a) {
      return Object.getOwnPropertyDescriptor(e, a).enumerable;
    })), t.push.apply(t, n);
  }
  return t;
}
function ot(e) {
  for (var r = 1; r < arguments.length; r++) {
    var t = arguments[r] != null ? arguments[r] : {};
    r % 2 ? ut(Object(t), !0).forEach(function(n) {
      $e(e, n, t[n]);
    }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ut(Object(t)).forEach(function(n) {
      Object.defineProperty(e, n, Object.getOwnPropertyDescriptor(t, n));
    });
  }
  return e;
}
var st = {
  small: "8px",
  medium: "16px",
  large: "24px"
}, n1 = ni(), a1 = He({
  name: "TSpace",
  props: ot(ot({}, r1), {}, {
    forceFlexGapPolyfill: Boolean
  }),
  setup: function(r) {
    var t = Dl("space"), n = e1(), a = t1(), i = oe(function() {
      return r.forceFlexGapPolyfill || n1;
    }), o = oe(function() {
      var s = "";
      de(r.size) ? s = r.size.map(function(b) {
        return Pr(b) ? "".concat(b, "px") : ze(b) && st[b] || b;
      }).join(" ") : ze(r.size) ? s = st[r.size] || r.size : Pr(r.size) && (s = "".concat(r.size, "px"));
      var c = {};
      if (i.value) {
        var f = s.split(" "), h = Aa(f, 2), m = h[0], E = h[1];
        c["--td-space-column-gap"] = m, c["--td-space-row-gap"] = E || m;
      } else
        c.gap = s;
      return c;
    });
    function u() {
      var s = a(), c = n("separator");
      return s.map(function(f, h) {
        var m = h + 1 !== s.length && c;
        return G(dt, null, [G("div", {
          class: "".concat(t.value, "-item")
        }, [f]), m && G("div", {
          class: "".concat(t.value, "-item-separator")
        }, [c])]);
      });
    }
    return function() {
      var s = ["".concat(t.value), $e($e($e($e({}, "".concat(t.value, "-align-").concat(r.align), r.align), "".concat(t.value, "-").concat(r.direction), r.direction), "".concat(t.value, "--break-line"), r.breakLine), "".concat(t.value, "--polyfill"), i.value)];
      return G("div", {
        class: s,
        style: o.value
      }, [u()]);
    };
  }
});
/**
 * tdesign v1.8.0
 * (c) 2024 tdesign
 * @license MIT
 */
var ct = Q0(a1);
const _e = "tdesign-app-toolbar", i1 = gr({
  [`&.${_e}`]: {
    height: "60px",
    display: "flex",
    alignItems: "center",
    justifyContent: "center",
    borderBottom: "1px solid #f0f0f0",
    padding: "0px 8px",
    boxSizing: "border-box",
    "&-heading": {
      display: "flex",
      justifyContent: "space-between",
      alignItems: "center",
      width: "100%",
      gap: "8px",
      "&-left": {
        ".ant-avatar": {
          display: "flex"
        },
        "&-title": {
          color: "#000000d9",
          fontWeight: 600,
          fontSize: "20px",
          lineHeight: "32px",
          overflow: "hidden",
          whiteSpace: "nowrap",
          textOverflow: "ellipsis"
        }
      },
      "&-right": {},
      ".ant-menu-horizontal": {
        flex: "1 auto",
        height: "60px",
        backgroundColor: "inherit",
        li: {
          display: "flex",
          alignItems: "center"
        }
      }
    }
  }
}), Re = /* @__PURE__ */ He({
  name: "AppToolbar",
  props: {
    className: {
      type: String,
      default: ""
    },
    style: {
      type: Object,
      default: () => ({})
    }
  },
  components: {
    Space: ct
  },
  setup(e, {
    slots: r
  }) {
    return () => G("div", {
      class: vr(i1, _e),
      style: e.style
    }, [G("div", {
      class: `${_e}-heading`
    }, [G("div", {
      class: `${_e}-heading-left`
    }, null), G("div", {
      class: `${_e}-heading-right`
    }, [G(ct, null, {
      default: () => {
        var t;
        return [(t = r.extra) == null ? void 0 : t.call(r)];
      }
    })]), G("div", null, [xn("1231231")])])]);
  }
});
Re.install = function(e) {
  return e.component(Re.name, Re), e;
};
const xe = "td-tdesign-layout", u1 = gr({
  [`&.${xe}`]: {
    minWidth: 0,
    minHeight: 0,
    height: "100%",
    width: "100%",
    display: "flex",
    boxSizing: "border-box",
    "&-vertical": {
      flexDirection: "column",
      [`>.${xe}-item-auto`]: {
        minWidth: 0,
        minHeight: 0
      }
    },
    "&-horizontal": {
      flexDirection: "row",
      [`>.${xe}-item-auto`]: {
        minWidth: 0,
        minHeight: 0
      }
    }
  }
}), Ee = /* @__PURE__ */ He({
  name: "TdLayout",
  props: {
    className: {
      type: String
    },
    style: {
      type: Object
    },
    direction: {
      type: String,
      default: "horizontal"
    }
  },
  setup(e, {
    slots: r
  }) {
    return () => {
      var t;
      return G("div", {
        class: vr(u1, xe, `${xe}-${e.direction}`)
      }, [(t = r.default) == null ? void 0 : t.call(r)]);
    };
  }
}), sr = "td-tdesign-layout-item", o1 = gr({
  [`&.${sr}`]: {
    display: "flex",
    "&-auto": {
      boxSizing: "border-box",
      flex: "1 auto",
      minWidth: 0,
      minHeight: 0
    }
  }
}), gn = /* @__PURE__ */ He({
  name: "TdLayoutItem",
  props: {
    className: {
      type: String,
      default: ""
    },
    style: {
      type: Object,
      default: () => ({})
    },
    auto: {
      type: Boolean,
      default: !1
    }
  },
  setup(e, {
    slots: r
  }) {
    return () => {
      var t;
      return G("div", {
        class: [vr(o1, sr), {
          [`${sr}-auto`]: e.auto
        }],
        style: e.style
      }, [(t = r.default) == null ? void 0 : t.call(r)]);
    };
  }
});
Ee.Item = gn;
Ee.install = function(e) {
  return e.component(Ee.name, Ee), e;
};
const ft = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  AppToolbar: Re,
  Layout: Ee,
  LayoutItem: gn
}, Symbol.toStringTag, { value: "Module" })), s1 = 1, c1 = function(e) {
  return Object.keys(ft).forEach((r) => {
    const t = ft[r];
    t.install && e.use(t);
  }), e;
}, l1 = {
  version: s1,
  install: c1
};
export {
  Re as AppToolbar,
  Ee as Layout,
  gn as LayoutItem,
  l1 as default,
  c1 as install
};
